=== added file 'Database_affected_changes.txt'
--- Database_affected_changes.txt	1970-01-01 00:00:00 +0000
+++ Database_affected_changes.txt	2016-03-02 21:02:38 +0000
@@ -0,0 +1,24 @@
+This changes may affect our database:
+
+# South:
+    South is now integrated into django, see
+    http://south.readthedocs.org/en/latest/releasenotes/1.0.html#library-migration-path
+
+    An upgrading from old south migrations to django is decribed here:
+    https://docs.djangoproject.com/en/1.9/topics/migrations/#upgrading-from-south
+
+    Should be easy. I tested this with mysql and a copy from wl_alpha ... it works :-)
+
+# User model
+    The current setting in settings.py:
+
+    AUTH_PROFILE_MODULE = 'wlprofile.Profile'
+
+    Has been removed in Django 1.7. The corresponding get_profile() method is gone away with that.
+    Re: https://docs.djangoproject.com/en/1.8/releases/1.5/#auth-profile-module
+    
+    Found a solution for get_profile() but i am unsure with the AUTH_PROFILE_SETTING.
+
+# Django-notifications
+    Changing this to pinax-notification the old table do not work anymore.
+    Didn't found a solution to get pinax to work yet.
\ No newline at end of file

=== modified file 'media/css/base.css'
--- media/css/base.css	2016-02-09 18:05:18 +0000
+++ media/css/base.css	2016-03-02 21:02:38 +0000
@@ -163,6 +163,9 @@
 	text-align: center;
 }
 
+.right  {
+	text-align: right;
+}
 .middle {
 	vertical-align: middle;
 }

=== removed file 'news/templatetags/news.py'
--- news/templatetags/news.py	2016-02-27 17:23:45 +0000
+++ news/templatetags/news.py	1970-01-01 00:00:00 +0000
@@ -1,136 +0,0 @@
-from django.template.loader import render_to_string
-from django import template
-from django.conf import settings
-from django.db import models
-
-import re
-
-Post = models.get_model('news', 'post')
-Category = models.get_model('news', 'category')
-
-register = template.Library()
-
-
-class LatestPosts(template.Node):
-    def __init__(self, limit, var_name):
-        self.limit = limit
-        self.var_name = var_name
-
-    def render(self, context):
-        posts = Post.objects.published()[:int(self.limit)]
-        if posts and (int(self.limit) == 1):
-            context[self.var_name] = posts[0]
-        else:
-            context[self.var_name] = posts
-        return ''
-
-@register.tag
-def get_latest_posts(parser, token):
-    """
-    Gets any number of latest posts and stores them in a varable.
-
-    Syntax::
-
-        {% get_latest_posts [limit] as [var_name] %}
-
-    Example usage::
-
-        {% get_latest_posts 10 as latest_post_list %}
-    """
-    try:
-        tag_name, arg = token.contents.split(None, 1)
-    except ValueError:
-        raise template.TemplateSyntaxError, "%s tag requires arguments" % token.contents.split()[0]
-    m = re.search(r'(.*?) as (\w+)', arg)
-    if not m:
-        raise template.TemplateSyntaxError, "%s tag had invalid arguments" % tag_name
-    format_string, var_name = m.groups()
-    return LatestPosts(format_string, var_name)
-
-class NewsYears(template.Node):
-    def __init__(self, var_name):
-        self.var_name = var_name
-
-    def render(self, context):
-        years = Post.objects.all().dates('publish', 'year')
-        context[self.var_name] = years
-        return ''
-
-@register.tag
-def get_news_years(parser, token):
-    """
-    Gets any number of latest posts and stores them in a varable.
-
-    Syntax::
-
-    {% get_latest_posts [limit] as [var_name] %}
-
-    Example usage::
-
-    {% get_latest_posts 10 as latest_post_list %}
-    """
-    try:
-        tag_name, arg = token.contents.split(None, 1)
-    except ValueError:
-        raise template.TemplateSyntaxError, "%s tag requires arguments" % token.contents.split()[0]
-    m = re.search(r'as (\w+)', arg)
-    if not m:
-        raise template.TemplateSyntaxError, "%s tag had invalid arguments" % tag_name
-    (var_name, ) = m.groups()
-    return NewsYears(var_name)
-
-class NewsCategories(template.Node):
-    def __init__(self, var_name):
-        self.var_name = var_name
-
-    def render(self, context):
-        categories = Category.objects.all()
-        context[self.var_name] = categories
-        return ''
-
-@register.tag
-def get_news_categories(parser, token):
-    """
-    Gets all news categories.
-
-    Syntax::
-
-        {% get_news_categories as [var_name] %}
-
-    Example usage::
-
-        {% get_news_categories as category_list %}
-    """
-    try:
-        tag_name, arg = token.contents.split(None, 1)
-    except ValueError:
-        raise template.TemplateSyntaxError, "%s tag requires arguments" % token.contents.split()[0]
-    m = re.search(r'as (\w+)', arg)
-    if not m:
-        raise template.TemplateSyntaxError, "%s tag had invalid arguments" % tag_name
-    var_name = m.groups()[0]
-    return NewsCategories(var_name)
-
-
-@register.filter
-def get_links(value):
-    """
-    Extracts links from a ``Post`` body and returns a list.
-
-    Template Syntax::
-
-        {{ post.body|markdown:"safe"|get_links }}
-
-    """
-    try:
-        try:
-            from bs4 import BeautifulSoup
-        except ImportError:
-            from beautifulsoup import BeautifulSoup
-        soup = BeautifulSoup(value)
-        return soup.findAll('a')
-    except ImportError:
-        if settings.DEBUG:
-            raise template.TemplateSyntaxError, "Error in 'get_links' filter: BeautifulSoup isn't installed."
-    return value
-

=== added file 'news/templatetags/news_extras.py'
--- news/templatetags/news_extras.py	1970-01-01 00:00:00 +0000
+++ news/templatetags/news_extras.py	2016-03-02 21:02:38 +0000
@@ -0,0 +1,136 @@
+from django.template.loader import render_to_string
+from django import template
+from django.conf import settings
+from django.apps import apps
+
+import re
+
+Post = apps.get_model('news', 'post')
+Category = apps.get_model('news', 'category')
+
+register = template.Library()
+
+
+class LatestPosts(template.Node):
+    def __init__(self, limit, var_name):
+        self.limit = limit
+        self.var_name = var_name
+
+    def render(self, context):
+        posts = Post.objects.published()[:int(self.limit)]
+        if posts and (int(self.limit) == 1):
+            context[self.var_name] = posts[0]
+        else:
+            context[self.var_name] = posts
+        return ''
+
+@register.tag
+def get_latest_posts(parser, token):
+    """
+    Gets any number of latest posts and stores them in a varable.
+
+    Syntax::
+
+        {% get_latest_posts [limit] as [var_name] %}
+
+    Example usage::
+
+        {% get_latest_posts 10 as latest_post_list %}
+    """
+    try:
+        tag_name, arg = token.contents.split(None, 1)
+    except ValueError:
+        raise template.TemplateSyntaxError, "%s tag requires arguments" % token.contents.split()[0]
+    m = re.search(r'(.*?) as (\w+)', arg)
+    if not m:
+        raise template.TemplateSyntaxError, "%s tag had invalid arguments" % tag_name
+    format_string, var_name = m.groups()
+    return LatestPosts(format_string, var_name)
+
+class NewsYears(template.Node):
+    def __init__(self, var_name):
+        self.var_name = var_name
+
+    def render(self, context):
+        years = Post.objects.all().dates('publish', 'year')
+        context[self.var_name] = years
+        return ''
+
+@register.tag
+def get_news_years(parser, token):
+    """
+    Gets any number of latest posts and stores them in a varable.
+
+    Syntax::
+
+    {% get_latest_posts [limit] as [var_name] %}
+
+    Example usage::
+
+    {% get_latest_posts 10 as latest_post_list %}
+    """
+    try:
+        tag_name, arg = token.contents.split(None, 1)
+    except ValueError:
+        raise template.TemplateSyntaxError, "%s tag requires arguments" % token.contents.split()[0]
+    m = re.search(r'as (\w+)', arg)
+    if not m:
+        raise template.TemplateSyntaxError, "%s tag had invalid arguments" % tag_name
+    (var_name, ) = m.groups()
+    return NewsYears(var_name)
+
+class NewsCategories(template.Node):
+    def __init__(self, var_name):
+        self.var_name = var_name
+
+    def render(self, context):
+        categories = Category.objects.all()
+        context[self.var_name] = categories
+        return ''
+
+@register.tag
+def get_news_categories(parser, token):
+    """
+    Gets all news categories.
+
+    Syntax::
+
+        {% get_news_categories as [var_name] %}
+
+    Example usage::
+
+        {% get_news_categories as category_list %}
+    """
+    try:
+        tag_name, arg = token.contents.split(None, 1)
+    except ValueError:
+        raise template.TemplateSyntaxError, "%s tag requires arguments" % token.contents.split()[0]
+    m = re.search(r'as (\w+)', arg)
+    if not m:
+        raise template.TemplateSyntaxError, "%s tag had invalid arguments" % tag_name
+    var_name = m.groups()[0]
+    return NewsCategories(var_name)
+
+
+@register.filter
+def get_links(value):
+    """
+    Extracts links from a ``Post`` body and returns a list.
+
+    Template Syntax::
+
+        {{ post.body|markdown:"safe"|get_links }}
+
+    """
+    try:
+        try:
+            from bs4 import BeautifulSoup
+        except ImportError:
+            from beautifulsoup import BeautifulSoup
+        soup = BeautifulSoup(value)
+        return soup.findAll('a')
+    except ImportError:
+        if settings.DEBUG:
+            raise template.TemplateSyntaxError, "Error in 'get_links' filter: BeautifulSoup isn't installed."
+    return value
+

=== modified file 'news/urls.py'
--- news/urls.py	2016-02-29 23:14:56 +0000
+++ news/urls.py	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 from django.conf.urls import *
 from news.models import Post
-from django.views.generic.dates import DateDetailView
+from django.views.generic.dates import DateDetailView, YearArchiveView, MonthArchiveView
 from django.views.generic import ListView
 
 urlpatterns = patterns('',
@@ -17,9 +17,13 @@
     #      view=news_views.post_archive_month,
     #      name='news_archive_month'),
     # 
-    #  url(r'^(?P<year>\d{4})/$',
-    #      view=news_views.post_archive_year,
-    #      name='news_archive_year'),
+      url(r'^(?P<year>\d{4})/(?P<month>[-\w]+)/$',
+          MonthArchiveView.as_view(model=Post, date_field="publish"),
+          name='news_archive_month'),
+
+      url(r'^(?P<year>\d{4})/$',
+          YearArchiveView.as_view(model=Post, make_object_list=True, date_field="publish", template_name="post_archive_year.html"),
+          name='news_archive_year'),
     # 
     # # url(r'^categories/(?P<slug>[-\w]+)/$',
     # #     view=news_views.category_detail,

=== added file 'news/views.py.delete'
--- news/views.py.delete	1970-01-01 00:00:00 +0000
+++ news/views.py.delete	2016-03-02 21:02:38 +0000
@@ -0,0 +1,164 @@
+from django.shortcuts import render_to_response, get_object_or_404
+from django.template import RequestContext
+from django.http import Http404
+#from django.views.generic import date_based, list_detail
+from django.db.models import Q
+from news.models import *
+from django.views import generic
+from django.views.generic.dates import DateDetailView
+
+import datetime
+import re
+
+
+    
+def post_list(request, page=0, **kwargs):
+    return list_detail.object_list(
+        request,
+        queryset = Post.objects.published(),
+        page = page,
+        **kwargs
+    )
+#post_list.__doc__ = list_detail.object_list.__doc__
+
+def post_archive_year(request, year, **kwargs):
+    return date_based.archive_year(
+        request,
+        year = year,
+        date_field = 'publish',
+        queryset = Post.objects.published(),
+        make_object_list = True,
+        **kwargs
+    )
+#post_archive_year.__doc__ = date_based.archive_year.__doc__
+
+
+def post_archive_month(request, year, month, **kwargs):
+    return date_based.archive_month(
+        request,
+        year = year,
+        month = month,
+        month_format = "%m",
+        date_field = 'publish',
+        queryset = Post.objects.published(),
+        **kwargs
+    )
+#post_archive_month.__doc__ = date_based.archive_month.__doc__
+
+
+def post_archive_day(request, year, month, day, **kwargs):
+    return date_based.archive_day(
+        request,
+        year = year,
+        month = month,
+        month_format = "%m",
+        day = day,
+        date_field = 'publish',
+        queryset = Post.objects.published(),
+        **kwargs
+    )
+#post_archive_day.__doc__ = date_based.archive_day.__doc__
+
+
+def post_detail(request, slug, year, month, day, **kwargs):
+    return date_based.object_detail(
+        request,
+        year = year,
+        month = month,
+        month_format = "%m",
+        day = day,
+        date_field = 'publish',
+        slug = slug,
+        queryset = Post.objects.published(),
+        **kwargs
+    )
+#post_detail.__doc__ = date_based.object_detail.__doc__
+
+
+def category_list(request, template_name = 'news/category_list.html', **kwargs):
+    """
+    Category list
+
+    Template: ``news/category_list.html``
+    Context:
+        object_list
+            List of categories.
+    """
+    return list_detail.object_list(
+        request,
+        queryset = Category.objects.all(),
+        template_name = template_name,
+        **kwargs
+    )
+
+def category_detail(request, slug, template_name = 'news/category_detail.html', **kwargs):
+    """
+    Category detail
+
+    Template: ``news/category_detail.html``
+    Context:
+        object_list
+            List of posts specific to the given category.
+        category
+            Given category.
+    """
+    category = get_object_or_404(Category, slug__iexact=slug)
+
+    return list_detail.object_list(
+        request,
+        queryset = category.post_set.published(),
+        extra_context = {'category': category},
+        template_name = template_name,
+        **kwargs
+    )
+
+
+# Stop Words courtesy of http://www.dcs.gla.ac.uk/idom/ir_resources/linguistic_utils/stop_words
+STOP_WORDS = r"""\b(a|about|above|across|after|afterwards|again|against|all|almost|alone|along|already|also|
+although|always|am|among|amongst|amoungst|amount|an|and|another|any|anyhow|anyone|anything|anyway|anywhere|are|
+around|as|at|back|be|became|because|become|becomes|becoming|been|before|beforehand|behind|being|below|beside|
+besides|between|beyond|bill|both|bottom|but|by|call|can|cannot|cant|co|computer|con|could|couldnt|cry|de|describe|
+detail|do|done|down|due|during|each|eg|eight|either|eleven|else|elsewhere|empty|enough|etc|even|ever|every|everyone|
+everything|everywhere|except|few|fifteen|fify|fill|find|fire|first|five|for|former|formerly|forty|found|four|from|
+front|full|further|get|give|go|had|has|hasnt|have|he|hence|her|here|hereafter|hereby|herein|hereupon|hers|herself|
+him|himself|his|how|however|hundred|i|ie|if|in|inc|indeed|interest|into|is|it|its|itself|keep|last|latter|latterly|
+least|less|ltd|made|many|may|me|meanwhile|might|mill|mine|more|moreover|most|mostly|move|much|must|my|myself|name|
+namely|neither|never|nevertheless|next|nine|no|nobody|none|noone|nor|not|nothing|now|nowhere|of|off|often|on|once|
+one|only|onto|or|other|others|otherwise|our|ours|ourselves|out|over|own|part|per|perhaps|please|put|rather|re|same|
+see|seem|seemed|seeming|seems|serious|several|she|should|show|side|since|sincere|six|sixty|so|some|somehow|someone|
+something|sometime|sometimes|somewhere|still|such|system|take|ten|than|that|the|their|them|themselves|then|thence|
+there|thereafter|thereby|therefore|therein|thereupon|these|they|thick|thin|third|this|those|though|three|through|
+throughout|thru|thus|to|together|too|top|toward|towards|twelve|twenty|two|un|under|until|up|upon|us|very|via|was|
+we|well|were|what|whatever|when|whence|whenever|where|whereafter|whereas|whereby|wherein|whereupon|wherever|whether|
+which|while|whither|who|whoever|whole|whom|whose|why|will|with|within|without|would|yet|you|your|yours|yourself|
+yourselves)\b"""
+
+
+def search(request, template_name='news/post_search.html'):
+    """
+    Search for news posts.
+
+    This template will allow you to setup a simple search form that will try to return results based on
+    given search strings. The queries will be put through a stop words filter to remove words like
+    'the', 'a', or 'have' to help imporve the result set.
+
+    Template: ``news/post_search.html``
+    Context:
+        object_list
+            List of news posts that match given search term(s).
+        search_term
+            Given search term.
+    """
+    context = {}
+    if request.GET:
+        stop_word_list = re.compile(STOP_WORDS, re.IGNORECASE)
+        search_term = '%s' % request.GET['q']
+        cleaned_search_term = stop_word_list.sub('', search_term)
+        cleaned_search_term = cleaned_search_term.strip()
+        if len(cleaned_search_term) != 0:
+            post_list = Post.objects.published().filter(Q(body__icontains=cleaned_search_term) | Q(tags__icontains=cleaned_search_term) | Q(categories__title__icontains=cleaned_search_term))
+            context = {'object_list': post_list, 'search_term':search_term}
+        else:
+            message = 'Search term was too vague. Please try again.'
+            context = {'message':message}
+    return render_to_response(template_name, context, context_instance=RequestContext(request))

=== modified file 'pip_requirements.txt'
--- pip_requirements.txt	2016-02-29 08:40:15 +0000
+++ pip_requirements.txt	2016-03-02 21:02:38 +0000
@@ -2,9 +2,9 @@
 autopep8==1.2.2
 beautifulsoup4==4.4.1
 Django==1.8
+django-appconf==1.0.1
 django-contrib-comments==1.6.2
 django-messages==0.5.1
--e git://github.com/jtauber/django-notification.git@3f023adf0ce2eafcee744904e2c358792f253721#egg=django_notification
 django-pagination==1.0.7
 -e git://github.com/dcramer/django-ratings.git@4d00dedc920a4e32d650dc12d5f480c51fc6216c#egg=django_ratings
 django-registration==2.0.4
@@ -16,10 +16,12 @@
 numpy==1.10.4
 pep8==1.7.0
 Pillow==3.1.1
+pinax-notifications==3.0.1
 pydot==1.0.2
 pyflakes==1.0.0
 pyformat==0.6
 pyparsing==2.1.0
+six==1.10.0
 South==1.0.2
 unify==0.2
 untokenize==0.1.1

=== modified file 'pybb/forms.py'
--- pybb/forms.py	2012-04-20 11:48:50 +0000
+++ pybb/forms.py	2016-03-02 21:02:38 +0000
@@ -10,7 +10,7 @@
 from pybb.models import Topic, Post, PrivateMessage, Attachment
 from pybb import settings as pybb_settings
 
-from notification import models as notification
+from pinax.notifications.models import send
 
 class AddPostForm(forms.ModelForm):
     name = forms.CharField(label=_('Subject'))
@@ -18,7 +18,8 @@
 
     class Meta:
         model = Post
-        fields = ['body', 'markup',]
+        # Listing fields again to get the the right order
+        fields = ['name','body', 'markup', 'attachment',]
 
     def __init__(self, *args, **kwargs):
         self.user = kwargs.pop('user', None)
@@ -26,7 +27,8 @@
         self.forum = kwargs.pop('forum', None)
         self.ip = kwargs.pop('ip', None)
         super(AddPostForm, self).__init__(*args, **kwargs)
-
+        
+        # NOCOMM: This doesn't work anymore with django 1.8 Use 'field_order' with django 1.9
         self.fields.keyOrder = ['name', 
                                 'body', 
                                 'markup', 
@@ -70,10 +72,10 @@
             self.save_attachment(post, self.cleaned_data['attachment'])
 
         if topic_is_new:
-            notification.send(User.objects.all(), "forum_new_topic",
+            send(User.objects.all(), "forum_new_topic",
                 {'topic': topic, 'post':post, 'user':topic.user})
         else:
-            notification.send(self.topic.subscribers.all(), "forum_new_post",
+            send(self.topic.subscribers.all(), "forum_new_post",
                 {'post':post, 'topic':topic, 'user':post.user})
         return post
 

=== modified file 'pybb/settings.py'
--- pybb/settings.py	2009-02-25 16:55:36 +0000
+++ pybb/settings.py	2016-03-02 21:02:38 +0000
@@ -3,7 +3,6 @@
 def get(key, default):
     return getattr(settings, key, default)
 
-
 TOPIC_PAGE_SIZE = get('PYBB_TOPIC_PAGE_SIZE', 10)
 FORUM_PAGE_SIZE = get('PYBB_FORUM_PAGE_SIZE', 20)
 USERS_PAGE_SIZE = get('PYBB_USERS_PAGE_SIZE', 20)

=== modified file 'pybb/templatetags/pybb_extras.py'
--- pybb/templatetags/pybb_extras.py	2013-06-14 19:23:53 +0000
+++ pybb/templatetags/pybb_extras.py	2016-03-02 21:02:38 +0000
@@ -10,7 +10,6 @@
 from django.template import RequestContext
 from django.template.defaultfilters import stringfilter
 from django.utils.encoding import smart_unicode
-from django.db import settings
 from django.utils.html import escape
 from django.utils.translation import ugettext as _
 from django.utils import dateformat

=== modified file 'pybb/urls.py'
--- pybb/urls.py	2016-02-29 23:14:56 +0000
+++ pybb/urls.py	2016-03-02 21:02:38 +0000
@@ -13,8 +13,8 @@
     url('^$', views.index, name='pybb_index'),
     url('^category/(?P<category_id>\d+)/$', views.show_category, name='pybb_category'),
     url('^forum/(?P<forum_id>\d+)/$', views.show_forum, name='pybb_forum'),
-    #url('^feeds/(?P<url>.*)/$', 'django.contrib.syndication.views.feed',
-    #    {'feed_dict': feeds}, name='pybb_feed'),
+    url('^feeds/(?P<url>.*)/$', 'django.contrib.syndication.views.Feed',
+        {'feed_dict': feeds}, name='pybb_feed'),
 
     # Topic
     url('^topic/(?P<topic_id>\d+)/$', views.show_topic, name='pybb_topic'),

=== modified file 'pybb/views.py'
--- pybb/views.py	2012-04-20 11:48:50 +0000
+++ pybb/views.py	2016-03-02 21:02:38 +0000
@@ -76,6 +76,7 @@
 
     
 def show_topic_ctx(request, topic_id):
+
     try:
         topic = Topic.objects.select_related().get(pk=topic_id)
     except Topic.DoesNotExist:

=== modified file 'settings.py'
--- settings.py	2016-02-29 23:14:56 +0000
+++ settings.py	2016-03-02 21:02:38 +0000
@@ -60,33 +60,33 @@
 
 ROOT_URLCONF = 'urls'
 
-#TEMPLATE_DIRS = (
-    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
-    # Always use forward slashes, even on Windows.
-    # Don't forget to use absolute paths, not relative paths.
-#    '/var/www/django_projects/widelands/templates',
-#)
+#TEMPLATE_DIRS = () are now managed in TEMPLATES (Febr. 2016)
+
+# List of finder classes that know how to find static files in
+# various locations.
+STATICFILES_FINDERS = [
+    "django.contrib.staticfiles.finders.FileSystemFinder",
+    "django.contrib.staticfiles.finders.AppDirectoriesFinder",
+]
 
 INSTALLED_APPS = (
     'django.contrib.admin',
     'django.contrib.auth',
     'django.contrib.contenttypes',
     'django.contrib.sessions',
-#    'django.contrib.messages',
+    'django.contrib.messages',
     'django.contrib.staticfiles',
     'django.contrib.sites',
-    #    'django.contrib.markup',
+#    'django.contrib.markup', # doesn't exist anymore
     'django.contrib.humanize',
     'django_comments',
-    # TODO: only temporary for webdesign stuff
-    'django.contrib.webdesign',
     # Thirdparty apps, but need preload
-    #    'tracking',
+#    'tracking',
 
     # Our own apps
     'wiki.templatetags.restructuredtext',
     'mainpage',
-    #    'widelands.wlhelp',
+    'wlhelp',
     'wlimages',
     'wlwebchat',
     'wlrecaptcha',
@@ -105,12 +105,13 @@
     'pybb',  # Feature enriched version of pybb
 
     # Thirdparty apps
+    'pinax.notifications', # Formerly notification, see next entry
+    #'notification',
     'threadedcomments',
     'django_messages',
     'registration',  # User registration (per Email validation)
     'pagination',
     'tagging',
-    'notification',
     #    'djangoratings', #No longer maintained
     #    'sphinxdoc',
     #    'south', Not longer supprted
@@ -138,8 +139,9 @@
     {
         'BACKEND': 'django.template.backends.django.DjangoTemplates',
         'DIRS': [os.path.join(BASE_DIR, 'templates')],
-#        'APP_DIRS': True,
+        'APP_DIRS': True,
         'OPTIONS': {
+            'debug': DEBUG,
             'context_processors': [
                 'django.template.context_processors.debug',
                 'django.template.context_processors.request',
@@ -150,21 +152,19 @@
                 'django.core.context_processors.media',
                 'django.template.context_processors.static',
                 'django.template.context_processors.tz',
-                'django_messages.context_processors.inbox'
+                'django_messages.context_processors.inbox',
             ],
-            'loaders': [
-                'django.template.loaders.filesystem.Loader',
-                'django.template.loaders.app_directories.Loader',
-            ]
         },
     },
 ]
 
 # Static files (CSS, JavaScript, Images)
 # https://docs.djangoproject.com/en/1.8/howto/static-files/
-
 STATIC_URL = '/static/'
 
+#https://pypi.python.org/pypi/django-threadedcomments v 1.0.1
+COMMENTS_APP = 'threadedcomments'
+
 ############################
 # Activation configuration #
 ############################
@@ -181,7 +181,8 @@
 ######################
 # User configuration #
 ######################
-AUTH_PROFILE_MODULE = 'wlprofile.Profile'
+AUTH_PROFILE_MODULE = 'wlprofile.Profile' # NOCOMM: Must we change that?
+
 DEFAULT_TIME_ZONE = 3
 DEFAULT_TIME_DISPLAY = r"%ND(Y-m-d,) H:i"  # According to ISO 8601
 DEFAULT_MARKUP = 'markdown'
@@ -296,10 +297,10 @@
 ## Use allways the form ('name', 'Email')   ##
 ##############################################
 INQUIRY_RECIPIENTS = [
-    ('franku', 'somal@arcor.de'),
-    ('bla', 'bulpp@bla.de'),
+    ('peter', 'peter@example.com'),
 ]
 
+
 try:
    from local_settings import *
 except ImportError:

=== modified file 'templates/django_messages/base.html'
--- templates/django_messages/base.html	2015-02-18 22:30:08 +0000
+++ templates/django_messages/base.html	2016-03-02 21:02:38 +0000
@@ -15,10 +15,10 @@
 	<tr>
 	<th class="msg_menu">
 		<ul>
-			<li><a href="{% url messages_compose %}">{% trans "New Message" %}</a>
-			<li><a href="{% url messages_inbox %}">{% trans "Inbox" %}</a>
-			<li><a href="{% url messages_outbox %}">{% trans "Outbox" %}</a>
-			<li><a href="{% url messages_trash %}">{% trans "Trash" %}</a>
+			<li><a href="{% url 'messages_compose' %}">{% trans "New Message" %}</a>
+			<li><a href="{% url 'messages_inbox' %}">{% trans "Inbox" %}</a>
+			<li><a href="{% url 'messages_outbox' %}">{% trans "Outbox" %}</a>
+			<li><a href="{% url 'messages_trash' %}">{% trans "Trash" %}</a>
 		</ul>
 	</th>
 	<td class="msg_box">

=== modified file 'templates/django_messages/inbox.html'
--- templates/django_messages/inbox.html	2015-02-18 22:30:08 +0000
+++ templates/django_messages/inbox.html	2016-03-02 21:02:38 +0000
@@ -1,7 +1,7 @@
 {% extends "django_messages/base.html" %} 
 {% load i18n %} 
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% block title %}
 Inbox - {{ block.super }}
@@ -31,7 +31,7 @@
 				</td>
 				<td>{{ message.sent_at|custom_date:user }}</td>
 				<td>
-					<a href="{% url django_messages.views.delete message.id %}">
+					<a href="{% url 'django_messages.views.delete' message.id %}">
 						<img src="{{ MEDIA_URL }}img/delete.png" alt="delete" title="delete" />
 					</a>
 				</td>

=== modified file 'templates/django_messages/inlines/message_row.html'
--- templates/django_messages/inlines/message_row.html	2010-03-14 14:13:24 +0000
+++ templates/django_messages/inlines/message_row.html	2016-03-02 21:02:38 +0000
@@ -18,5 +18,5 @@
           {% if message.new %}</u>{% endif %}
       </td>
       <td>{{ message.sent_at|custom_date:user }}</td>
-      <td><a href="{% url django_messages.views.delete message.id %}">{% trans "delete" %}</a></td>
+      <td><a href="{% url django_messages.views.delete' message.id %}">{% trans "delete" %}</a></td>
    </tr>

=== modified file 'templates/django_messages/inlines/navigation.html'
--- templates/django_messages/inlines/navigation.html	2010-10-31 10:25:03 +0000
+++ templates/django_messages/inlines/navigation.html	2016-03-02 21:02:38 +0000
@@ -7,10 +7,10 @@
             <td width="">&nbsp;
             </td>
             <td width="370" align="right" style="table-layout: fixed; background-image: url(/wlmedia/img/background-4F4F4F.png);">
-                <a href="{% url messages_inbox %} ">{% trans "Inbox" %}</a>
-                | <a href="{% url messages_outbox %} ">{% trans "Sent Messages" %}</a>
-                | <a href="{% url messages_compose %} ">{% trans "New Message" %}</a>
-                | <a href="{% url messages_trash %} ">{% trans "Message Trash" %}</a>
+                <a href="{% url 'messages_inbox' %} ">{% trans "Inbox" %}</a>
+                | <a href="{% url 'messages_outbox' %} ">{% trans "Sent Messages" %}</a>
+                | <a href="{% url 'messages_compose' %} ">{% trans "New Message" %}</a>
+                | <a href="{% url 'messages_trash' %} ">{% trans "Message Trash" %}</a>
             </td>
         </tr>
     </table>

=== modified file 'templates/django_messages/outbox.html'
--- templates/django_messages/outbox.html	2015-02-18 22:30:08 +0000
+++ templates/django_messages/outbox.html	2016-03-02 21:02:38 +0000
@@ -1,7 +1,7 @@
 {% extends "django_messages/base.html" %} 
 {% load i18n %} 
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% block title %}
 Outbox - {{ block.super }}
@@ -27,7 +27,7 @@
 				</td>
 				<td>{{ message.sent_at|custom_date:user }}</td>
 				<td>
-					<a href="{% url django_messages.views.delete message.id %}">
+					<a href="{% url 'django_messages.views.delete' message.id %}">
 						<img src="{{ MEDIA_URL }}img/delete.png" alt="delete" title="delete" />
 					</a>
 				</td>

=== modified file 'templates/django_messages/trash.html'
--- templates/django_messages/trash.html	2015-02-18 22:30:08 +0000
+++ templates/django_messages/trash.html	2016-03-02 21:02:38 +0000
@@ -1,7 +1,7 @@
 {% extends "django_messages/base.html" %} 
 {% load i18n %} 
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% block title %}
 Trash - {{ block.super }}
@@ -33,7 +33,7 @@
 				</td>
 				<td>{{ message.sent_at|custom_date:user }}</td>
 				<td>
-					<a href="{% url django_messages.views.undelete message.id %}">
+					<a href="{% url 'django_messages.views.undelete' message.id %}">
 						<img src="{{ MEDIA_URL }}img/undelete.png" alt="undelete" title="undelete" />
 					</a>
 				</td>

=== modified file 'templates/django_messages/view.html'
--- templates/django_messages/view.html	2012-05-06 20:52:08 +0000
+++ templates/django_messages/view.html	2016-03-02 21:02:38 +0000
@@ -1,7 +1,7 @@
 {% extends "django_messages/base.html" %} 
 {% load i18n %} 
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% block title %}
 View - {{ block.super }}
@@ -31,7 +31,7 @@
 		</tr>
 	</table>
 	{% ifequal message.recipient user %}
-		<button type="button" onclick="location.href='{% url messages_reply message.id %}';">{% trans "Reply" %}</button>
+		<button type="button" onclick="location.href='{% url 'messages_reply' message.id %}';">{% trans "Reply" %}</button>
 	{% endifequal %}
-	<button type="button" onclick="location.href='{% url messages_delete message.id %}';">{% trans "Delete" %}</button>
+	<button type="button" onclick="location.href='{% url 'messages_delete' message.id %}';">{% trans "Delete" %}</button>
 {% endblock %}

=== modified file 'templates/login_box.html'
--- templates/login_box.html	2016-02-29 08:40:15 +0000
+++ templates/login_box.html	2016-03-02 21:02:38 +0000
@@ -1,17 +1,20 @@
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 <!-- Login form / User information -->
 {% if user.is_authenticated %}
 <div class="small posLeft">
 	Welcome {{ user|user_link }},<br/>
-   you have <a href="{% url 'messages_inbox' request.user %}">{{ messages_inbox_count}} new message{{ messages_inbox_count|pluralize }}</a>.
+    {% comment %}
+    you have <a href="{% url 'messages_inbox' request.user %}">{{ messages_inbox_count}} new message{{ messages_inbox_count|pluralize }}</a>.
+    {% endcomment %}
+    you have <a href="{% url 'messages_inbox' %}">{{ messages_inbox_count}} new message{{ messages_inbox_count|pluralize }}</a>.
 </div>
 <div class="right small posRight">
 	<ul>
-		<li><a href="{% url messages_inbox %}">Messages</a></li>
-		<li><a href="{% url notification_notices %}">Notifications</a></li>
-		<li><a href="{% url profile_edit %}">Edit Profile</a></li>
-		<li><a href="{% url auth_logout %}?next={{ request.path|iriencode }}">Logout</a></li>
+		<li><a href="{% url 'messages_inbox' %}">Messages</a></li>
+		{#<li><a href="{% url 'notification_notices' %}">Notifications</a></li>#}
+		<li><a href="{% url 'profile_edit' %}">Edit Profile</a></li>
+		<li><a href="{% url 'auth_logout' %}?next={{ request.path|iriencode }}">Logout</a></li>
 	</ul>
 </div>
 {% else %}

=== modified file 'templates/mainpage.html'
--- templates/mainpage.html	2016-02-29 23:14:56 +0000
+++ templates/mainpage.html	2016-03-02 21:02:38 +0000
@@ -8,7 +8,7 @@
 
 {% endcomment %}
 
-{% load news %}
+{% load news_extras %}
 {% block extra_head %}
 <meta name="google-site-verification" content="1A5uFV_zNuXazJ46-572-_lLzcCTEQ77iHaSPFZd53Y" />
 <link rel="stylesheet" type="text/css" media="all" href="{{ MEDIA_URL }}css/news.css" />
@@ -20,22 +20,22 @@
 <div class="blogEntry" style="min-height: 380px;">
 	<img class="landing posRight" src="{{ MEDIA_URL }}img/welcome.jpg" alt="Welcome!" />
 	<p>
-	<a href="{#{% url wiki_article "Description" %}#}">Widelands</a> is a 
-	<a href="{#{% url wiki_article "The Widelands Project" %}#}">free, open source</a>
+	<a href="{% url 'wiki_article' "Description" %}">Widelands</a> is a 
+	<a href="{% url 'wiki_article' "The Widelands Project" %}">free, open source</a>
 	real-time strategy game with singleplayer campaigns and a multiplayer mode.
 	The game was inspired by Settlers&nbsp;II&#8482; (&copy;&nbsp;Bluebyte) but
 	has significantly more variety and depth to it. Still, it is easy to get
 	started through playable tutorials.
 	</p>
 	<p>
-	For more information read <a href="{#{% url wiki_article "Description" %}#}">the
-	full description</a> and look at some <a href="{#{% url wlscreens_index %}#}">screenshots</a>.
-	Or you can <a href="{#{% url wiki_article "Download" %}#}">download</a>
+	For more information read <a href="{% url 'wiki_article' "Description" %}">the
+	full description</a> and look at some <a href="{% url 'wlscreens_index' %}">screenshots</a>.
+	Or you can <a href="{% url 'wiki_article' "Download" %}">download</a>
 	the latest release and just try it out for yourself.
 	</p>
 	<p>
 	This website is the home of the Widelands community.
-	You are invited to visit the <a href="{#{% url pybb_index %}#}">forums</a>:
+	You are invited to visit the <a href="{% url 'pybb_index' %}">forums</a>:
 	discuss strategies, find partners for multiplayer games, help with translations,
 	voice your opinion on graphics, music and much more.
 	</p>
@@ -45,7 +45,7 @@
 	Everybody is invited to help out too - we need 2D and 3D artists, sound
 	effect creators, composers, map makers, translators, test players,
 	web programmers and C++ coders. All skill levels are welcome - just
-	start working on something or ask in the <a href="{#{% url pybb_index %}#}">forums</a>
+	start working on something or ask in the <a href="{% url 'pybb_index' %}">forums</a>
 	for pointers.
 	</p>
 	<div style="clear: left"></div>
@@ -57,7 +57,7 @@
 	{% for object in latest_posts_list %}
 		{% include "news/inlines/post_detail.html" %}
 	{% endfor %}
-	<div class="center"><p><a class="invertedColor" href="{#{% url news_index %}#}">News archive</a></p></div>
+	<div class="center"><p><a class="invertedColor" href="{% url 'news_index' %}">News archive</a></p></div>
 {% endif %}
 
 {% endblock %}

=== modified file 'templates/mainpage/online_users.html'
--- templates/mainpage/online_users.html	2012-03-30 23:26:23 +0000
+++ templates/mainpage/online_users.html	2016-03-02 21:02:38 +0000
@@ -1,4 +1,4 @@
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% if users %}
 <div class="columnModule">

=== modified file 'templates/navigation.html'
--- templates/navigation.html	2016-02-29 23:14:56 +0000
+++ templates/navigation.html	2016-03-02 21:02:38 +0000
@@ -20,48 +20,48 @@
 			<li><a href="{% url 'wlpoll_archive' %}">Poll Archive</a></li>
 		</ul>
 	</li>
-	<li><a href="{#{% url wiki_article "Description" %}#}">The Game</a>
+	<li><a href="{% url 'wiki_article' "Description" %}">The Game</a>
 		<ul>
-			<li><a href="{#{% url wiki_article "Description" %}#}">Description</a></li>
-			<li><a href="{#{% url wiki_article "Download" %}#}">Download</a></li>
-			<li><a href="{#{% url wlscreens_index %}#}">Screenshots</a></li>
-			<li><a href="{#{% url wiki_article "Artwork" %}#}">Artwork</a></li>
-			<li><a href="{#{% url wlmaps_index %}#}">Maps</a></li>
-			<li><a href="{#{% url wlhelp_index %}#}">Encyclopedia</a></li>
-			<li><a href="{#{% url changelog %}#}">Changelog</a></li>
-			<li><a href="{#{% url developers %}#}">Widelands Development Team</a></li>
+			<li><a href="{% url 'wiki_article' "Description" %}">Description</a></li>
+			<li><a href="{% url 'wiki_article' "Download" %}">Download</a></li>
+			<li><a href="{% url 'wlscreens_index' %}">Screenshots</a></li>
+			<li><a href="{% url 'wiki_article' "Artwork" %}">Artwork</a></li>
+			<li><a href="{% url 'wlmaps_index' %}">Maps</a></li>
+			<li><a href="{% url 'wlhelp_index' %}">Encyclopedia</a></li>
+			<li><a href="{% url 'changelog' %}">Changelog</a></li>
+			<li><a href="{% url 'developers' %}">Widelands Development Team</a></li>
 		</ul>
 	</li>
-	<li><a href="{#{% url wiki_index %}#}">Wiki</a>
+	<li><a href="{% url 'wiki_index' %}">Wiki</a>
 		<ul>
-			<li><a href="{#{% url wiki_article "Game Manual" %}#}">Game Manual</a></li>
-			<li><a href="{#{% url wiki_article "Creating Game Content" %}#}">Creating Game Content</a></li>
-			<li><a href="{#{% url wiki_article "The Widelands Project" %}#}">The Widelands Project</a></li>
+			<li><a href="{% url 'wiki_article' "Game Manual" %}">Game Manual</a></li>
+			<li><a href="{% url 'wiki_article' "Creating Game Content" %}">Creating Game Content</a></li>
+			<li><a href="{% url 'wiki_article' "The Widelands Project" %}">The Widelands Project</a></li>
 			<li><a href="/wiki/list/">List Of All Pages</a></li>
 			<li><a href="/wiki/history/">Recent changes</a></li>
 		</ul>
 	</li>
-	<li><a href="{#{% url pybb_index %}#}">Forums</a>
+	<li><a href="{% url 'pybb_index' %}">Forums</a>
 		<ul>
-			<li><a href="{#{% url pybb_forum 1 %}#}">Technical Help</a></li>
-			<li><a href="{#{% url pybb_forum 2 %}#}">Game Suggestions</a></li>
-			<li><a href="{#{% url pybb_forum 3 %}#}">Playing Widelands</a></li>
-			<li><a href="{#{% url pybb_forum 4 %}#}">Editor Forum</a></li>
-			<li><a href="{#{% url pybb_forum 5 %}#}">[Deutsch] - Spielerforum</a></li>
-			<li><a href="{#{% url pybb_forum 6 %}#}">[Español] - Foro de jugadores</a></li>
-			<li><a href="{#{% url pybb_forum 7 %}#}">[Français] - Forum de joueurs</a></li>
-			<li><a href="{#{% url pybb_forum 13 %}#}">[English] - Player Forum</a></li>
-			<li><a href="{#{% url pybb_forum 9 %}#}">Graphic Development</a></li>
-			<li><a href="{#{% url pybb_forum 10 %}#}">Sound &amp; Music Development</a></li>
-			<li><a href="{#{% url pybb_forum 11 %}#}">Homepage</a></li>
-			<li><a href="{#{% url pybb_forum 12 %}#}">Translations &amp; Internationalization</a></li>
+			<li><a href="{% url 'pybb_forum' 1 %}">Technical Help</a></li>
+			<li><a href="{% url 'pybb_forum' 2 %}">Game Suggestions</a></li>
+			<li><a href="{% url 'pybb_forum' 3 %}">Playing Widelands</a></li>
+			<li><a href="{% url 'pybb_forum' 4 %}">Editor Forum</a></li>
+			<li><a href="{% url 'pybb_forum' 5 %}">[Deutsch] - Spielerforum</a></li>
+			<li><a href="{% url 'pybb_forum' 6 %}">[Español] - Foro de jugadores</a></li>
+			<li><a href="{% url 'pybb_forum' 7 %}">[Français] - Forum de joueurs</a></li>
+			<li><a href="{% url 'pybb_forum' 13 %}">[English] - Player Forum</a></li>
+			<li><a href="{% url 'pybb_forum' 9 %}">Graphic Development</a></li>
+			<li><a href="{% url 'pybb_forum' 10 %}">Sound &amp; Music Development</a></li>
+			<li><a href="{% url 'pybb_forum' 11 %}">Homepage</a></li>
+			<li><a href="{% url 'pybb_forum' 12 %}">Translations &amp; Internationalization</a></li>
 		</ul>
 	</li>
-	<li><a href="{#{% url webchat_index %}#}">Chat</a></li>
-	<li><a href="{#{% url wiki_article "Development" %}#}">Development</a>
+	<li><a href="{% url 'webchat_index' %}">Chat</a></li>
+	<li><a href="{% url 'wiki_article' "Development" %}">Development</a>
 		<ul>
-			<li><a href="{#{% url wiki_article "Contribute" %}#}">Contribute</a></li>
-			<li><a href="{#{% url developers %}#}">Widelands Development Team</a></li>
+			<li><a href="{% url 'wiki_article' "Contribute" %}">Contribute</a></li>
+			<li><a href="{% url 'developers' %}">Widelands Development Team</a></li>
 			<li><a href="/docs/wl/" target="_blank">Documentation</a></li>
 			<li><a href="https://bugs.launchpad.net/widelands" target="_blank">Widelands Bugtracker</a></li>
 			<li><a href="https://bugs.launchpad.net/widelands-website" target="_blank">Website Bugtracker</a></li>

=== modified file 'templates/news/inlines/post_detail.html'
--- templates/news/inlines/post_detail.html	2016-02-29 08:40:15 +0000
+++ templates/news/inlines/post_detail.html	2016-03-02 21:02:38 +0000
@@ -5,7 +5,7 @@
 
 {% endcomment %}
 {% load threadedcomments_tags %}
-{% load news wl_markdown tagging_tags wlprofile custom_date %}
+{% load news_extras wl_markdown tagging_tags wlprofile_extras custom_date %}
 
 <div class="blogEntry">
 	{% if object.has_image %}

=== modified file 'templates/news/post_archive_month.html'
--- templates/news/post_archive_month.html	2012-04-02 09:41:12 +0000
+++ templates/news/post_archive_month.html	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 {% extends "news/base_news.html" %}
 {% load custom_date %}
-{% load news %}
+{% load news_extras %}
 {% load pagination_tags %}
 {% load markup %}
 

=== modified file 'templates/news/post_archive_year.html'
--- templates/news/post_archive_year.html	2012-04-02 09:41:12 +0000
+++ templates/news/post_archive_year.html	2016-03-02 21:02:38 +0000
@@ -1,18 +1,18 @@
 {% extends "news/base_news.html" %}
 {% load custom_date %}
-{% load news %}
+{% load news_extras %}
 {% load pagination_tags %}
-{% load markup %}
+{#{% load markup %}#}
 
 {% block title %}{{ year }} - {{ block.super }}{% endblock %}
 
 {% block content %}
 
 <h1>News Archive</h1>
-<a href="{% url news_index %}" class="invertedColor">News Archiv</a> &#187; 
-<a href="{% url news_index %}{{ year }}" class="invertedColor">{{ year }}</a>: 
+<a href="{% url 'news_index' %}" class="invertedColor">News Archiv</a> &#187;
+<a href="{% url 'news_index' %}{{ year|date:"Y" }}" class="invertedColor">{{ year|date:"Y" }}</a>: 
 {% for month in date_list %}
-	<a href="{% url news_index %}{{ year }}/{{ month|date:"m" }}/" class="invertedColor">{{ month|date:"F" }}</a>
+	<a href="{% url 'news_index' %}{{ year }}/{{ month|date:"m" }}/" class="invertedColor">{{ month|date:"F" }}</a>
 	{% if not forloop.last %} | {% endif %}
 {% endfor %}
 <br />
@@ -22,7 +22,6 @@
 {% paginate %}
 </div>
 <br />
-
 {% for object in object_list %}
 	{% include "news/inlines/post_detail.html" %}
 {% endfor %}

=== modified file 'templates/news/post_detail.html'
--- templates/news/post_detail.html	2016-02-29 08:40:15 +0000
+++ templates/news/post_detail.html	2016-03-02 21:02:38 +0000
@@ -1,8 +1,8 @@
 {% extends "news/base_news.html" %}
 
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load threadedcomments_tags %}
-{% load news %}
+{% load news_extras %}
 
 {% block title %}{{ object.title }} - {{ block.super }}{% endblock %}
 

=== modified file 'templates/news/post_list.html'
--- templates/news/post_list.html	2016-02-29 23:14:56 +0000
+++ templates/news/post_list.html	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 {% extends "news/base_news.html" %}
 
-{% load news %}
+{% load news_extras %}
 {% load threadedcomments_tags custom_date %}
 {% load pagination_tags %}
 
@@ -16,7 +16,7 @@
 <br />
 
 <div class="center">
-{% autopaginate object_list 10 %}
+{% autopaginate object_list 20 %}
 {% paginate %}
 </div>
 <br />

=== modified file 'templates/notification/messages_received/notice.html'
--- templates/notification/messages_received/notice.html	2012-05-08 21:52:15 +0000
+++ templates/notification/messages_received/notice.html	2016-03-02 21:02:38 +0000
@@ -1,3 +1,3 @@
 {% load i18n %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% blocktrans with message.get_absolute_url as message_url and message.sender|user_link as message_sender %}You have received the message <a href="{{ message_url }}">{{ message }}</a> from {{ message_sender }}.{% endblocktrans %}

=== modified file 'templates/notification/messages_replied/notice.html'
--- templates/notification/messages_replied/notice.html	2012-05-08 21:52:15 +0000
+++ templates/notification/messages_replied/notice.html	2016-03-02 21:02:38 +0000
@@ -1,3 +1,3 @@
 {% load i18n %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% blocktrans with message.parent_msg.get_absolute_url as message_url and message.parent_msg as message_parent_msg and message.recipient|user_link as message_recipient %}You have replied to <a href="{{ message_url }}">{{ message_parent_msg }}</a> from {{ message_recipient }}.{% endblocktrans %}

=== modified file 'templates/notification/messages_reply_received/notice.html'
--- templates/notification/messages_reply_received/notice.html	2012-05-08 21:52:15 +0000
+++ templates/notification/messages_reply_received/notice.html	2016-03-02 21:02:38 +0000
@@ -1,3 +1,3 @@
 {% load i18n %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% blocktrans with message.get_absolute_url as message_url and message.sender|user_link as message_sender and message.parent_msg as message_parent_msg %}{{ message_sender }} has sent you a reply to {{ message_parent_msg }}.{% endblocktrans %}

=== modified file 'templates/notification/messages_sent/notice.html'
--- templates/notification/messages_sent/notice.html	2012-05-08 21:52:15 +0000
+++ templates/notification/messages_sent/notice.html	2016-03-02 21:02:38 +0000
@@ -1,3 +1,3 @@
 {% load i18n %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% blocktrans with message.get_absolute_url as message_url and message.recipient|user_link as message_recipient %}You have sent the message <a href="{{ message_url }}">{{ message }}</a> to {{ message_recipient }}.{% endblocktrans %}

=== modified file 'templates/pybb/add_post.html'
--- templates/pybb/add_post.html	2016-01-02 10:01:11 +0000
+++ templates/pybb/add_post.html	2016-03-02 21:02:38 +0000
@@ -31,7 +31,7 @@
 </h1>
 
 <div class="blogEntry">
-	<a href="{% url pybb_index %}">Forums</a> &#187;
+	<a href="{% url 'pybb_index' %}">Forums</a> &#187;
 	{% if forum %}
 		<a href="{{ forum.category.get_absolute_url }}">{{ forum.category.name }}</a> &#187;
 		{{ forum }}

=== modified file 'templates/pybb/base.html'
--- templates/pybb/base.html	2015-12-31 10:43:25 +0000
+++ templates/pybb/base.html	2016-03-02 21:02:38 +0000
@@ -8,8 +8,8 @@
 {% block extra_head %}
 <link rel="stylesheet" type="text/css" media="all" href="{{ MEDIA_URL }}css/forum.css" />
 
-<link rel="alternate" type="application/atom+xml" title="Latest Posts on all forums" href="{% url pybb_feed "posts" %}" />
-<link rel="alternate" type="application/atom+xml" title="Latest Topics on all forums" href="{% url pybb_feed "topics" %}" />
+<link rel="alternate" type="application/atom+xml" title="Latest Posts on all forums" href="{% url 'pybb_feed' "posts" %}" />
+<link rel="alternate" type="application/atom+xml" title="Latest Topics on all forums" href="{% url 'pybb_feed' "topics" %}" />
 
 {{ block.super}}
 {% endblock %}

=== modified file 'templates/pybb/category.html'
--- templates/pybb/category.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/category.html	2016-03-02 21:02:38 +0000
@@ -5,7 +5,7 @@
 <h1>Category: {{category.name}}</h1>
 
 <div class="blogEntry">
-	<a href="{% url pybb_index %}">Forums</a> &#187; {{category.name}}
+	<a href="{% url 'pybb_index' %}">Forums</a> &#187; {{category.name}}
 	<br /><br />
 	{% include 'pybb/inlines/display_category.html' %}
 </div>

=== modified file 'templates/pybb/edit_post.html'
--- templates/pybb/edit_post.html	2016-01-02 10:01:11 +0000
+++ templates/pybb/edit_post.html	2016-03-02 21:02:38 +0000
@@ -12,7 +12,7 @@
 <h1>{% trans "Edit Reply" %}</h1>
 
 <div class="blogEntry">
-	<a href="{% url pybb_index %}">Forums</a> &#187;
+	<a href="{% url 'pybb_index' %}">Forums</a> &#187;
 	{% pybb_link post.topic.forum.category %} &#187; 
 	<a href="{{ post.topic.forum.get_absolute_url }}">{{ post.topic.forum.name }}</a> &#187;
 	{{ post.topic }}

=== modified file 'templates/pybb/forum.html'
--- templates/pybb/forum.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/forum.html	2016-03-02 21:02:38 +0000
@@ -2,7 +2,7 @@
 {% load pybb_extras %}
 {% load i18n %}
 {% load humanize %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load custom_date %}
 
 {% block title %}
@@ -10,8 +10,8 @@
 {% endblock %}
 
 {% block extra_head %}
-<link rel="alternate" type="application/atom+xml" title="Latest Posts on forum '{{ forum.name }}'" href="{% url pybb_feed "posts" %}{{forum.id}}/"  />
-<link rel="alternate" type="application/atom+xml" title="Latest Topics on forum '{{ forum.name }}'" href="{% url pybb_feed "topics" %}{{forum.id}}/" />
+<link rel="alternate" type="application/atom+xml" title="Latest Posts on forum '{{ forum.name }}'" href="{% url 'pybb_feed' "posts" %}{{forum.id}}/"  />
+<link rel="alternate" type="application/atom+xml" title="Latest Topics on forum '{{ forum.name }}'" href="{% url 'pybb_feed' "topics" %}{{forum.id}}/" />
 {{ block.super }}
 {% endblock %}
 
@@ -19,11 +19,11 @@
 <h1>Forum: {{ forum }}</h1>
 
 <div class="blogEntry">
-	<a href="{% url pybb_index %}">Forums</a> &#187; 
+	<a href="{% url 'pybb_index' %}">Forums</a> &#187; 
 	{% pybb_link forum.category %} &#187; 
 	{{ forum }}
 	<br /><br />
-	<a class="button posRight" href="{% url pybb_add_topic forum.id %}">
+	<a class="button posRight" href="{% url 'pybb_add_topic' forum.id %}">
 		<img src="{{ MEDIA_URL }}forum/img/new_topic.png" alt ="{% trans "New Topic" %}" class="middle" />
 		<span class="middle">{% trans "New Topic" %}</span>
 	</a>
@@ -71,7 +71,7 @@
 	</table>
 
 	<br />
-	<a class="button posRight" href="{% url pybb_add_topic forum.id %}">
+	<a class="button posRight" href="{% url 'pybb_add_topic' forum.id %}">
 		<img src="{{ MEDIA_URL }}forum/img/new_topic.png" alt ="{% trans "New Topic" %}" class="middle" />
 		<span class="middle">{% trans "New Topic" %}</span>
 	</a>

=== modified file 'templates/pybb/inlines/display_category.html'
--- templates/pybb/inlines/display_category.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/inlines/display_category.html	2016-03-02 21:02:38 +0000
@@ -6,7 +6,7 @@
 
 {% load humanize %}
 {% load pybb_extras %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load custom_date %}
 
 <table class="forum">

=== modified file 'templates/pybb/inlines/forum_row.html'
--- templates/pybb/inlines/forum_row.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/inlines/forum_row.html	2016-03-02 21:02:38 +0000
@@ -3,7 +3,7 @@
 {% endcomment %}
 {% load humanize %}
 {% load pybb_extras %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load custom_date %}
     <tr>
       <td class="even" align="center" valign="middle">

=== modified file 'templates/pybb/inlines/post.html'
--- templates/pybb/inlines/post.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/inlines/post.html	2016-03-02 21:02:38 +0000
@@ -5,8 +5,8 @@
 {% load i18n %}
 {% load humanize %}
 {% load pybb_extras %}
-{% load wiki %}
-{% load wlprofile %}
+{% load wiki_extras %}
+{% load wlprofile_extras %}
 {% load custom_date %}
    <a name="post-{{ post.id }}"></a>
    <table class="{% cycle "odd" "even" %}" width="100%">

=== modified file 'templates/pybb/inlines/topic_row.html'
--- templates/pybb/inlines/topic_row.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/inlines/topic_row.html	2016-03-02 21:02:38 +0000
@@ -3,7 +3,7 @@
 {% endcomment %}
 {% load humanize %}
 {% load pybb_extras %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load custom_date %}
    <tr class="topic_description {% cycle "odd" "even" %}">
          <td align="center" valign="middle">

=== modified file 'templates/pybb/last_posts.html'
--- templates/pybb/last_posts.html	2012-03-30 23:26:23 +0000
+++ templates/pybb/last_posts.html	2016-03-02 21:02:38 +0000
@@ -1,5 +1,5 @@
 {% load i18n %} 
-{% load wlprofile %} 
+{% load wlprofile_extras %} 
 {% load custom_date %} 
 {% load pybb_extras %}
 
@@ -12,7 +12,7 @@
 			<li>
 				{{ post.topic.forum.name }}<br />
 				<a href="{{ post.get_absolute_url }}" title="{{ post.topic.name }}">{{ post.topic.name|pybb_cut_string:30 }}</a><br />
-				by <a href="{% url profile_view post.user %}">{{post.user.username}}</a> {{ post.created|minutes }} ago
+				by <a href="{% url 'profile_view' post.user %}">{{post.user.username}}</a> {{ post.created|minutes }} ago
 			</li>
 			{% endfor %}
 		</ul>

=== modified file 'templates/pybb/post_form.html'
--- templates/pybb/post_form.html	2016-01-02 10:01:11 +0000
+++ templates/pybb/post_form.html	2016-03-02 21:02:38 +0000
@@ -15,7 +15,7 @@
 			var markup = $('.post-form #id_markup').val();
 
 			args = {'content': raw_content, 'markup': markup}
-			$.post('{% url pybb_post_ajax_preview %}', args, function(data) {
+			$.post('{% url 'pybb_post_ajax_preview' %}', args, function(data) {
 				if (data.error) {
 					alert(data.error);
 				} else {

=== modified file 'templates/pybb/topic.html'
--- templates/pybb/topic.html	2015-02-18 22:30:08 +0000
+++ templates/pybb/topic.html	2016-03-02 21:02:38 +0000
@@ -2,8 +2,8 @@
 {% load pybb_extras %}
 {% load i18n %}
 {% load humanize %}
-{% load wiki %}
-{% load wlprofile %}
+{% load wiki_extras %}
+{% load wlprofile_extras %}
 {% load custom_date %}
 
 {% block title %}
@@ -11,15 +11,15 @@
 {% endblock title %}
 
 {% block extra_head %}
-<link rel="alternate" type="application/atom+xml" title="Latest Posts on forum '{{ topic.forum.name }}'" href="{% url pybb_feed "posts" %}{{topic.forum.id}}/"  />
-<link rel="alternate" type="application/atom+xml" title="Latest Topics on forum '{{ topic.forum.name }}'" href="{% url pybb_feed "topics"%}{{topic.forum.id}}/" />
+<link rel="alternate" type="application/atom+xml" title="Latest Posts on forum '{{ topic.forum.name }}'" href="{% url 'pybb_feed' "posts" %}{{topic.forum.id}}/"  />
+<link rel="alternate" type="application/atom+xml" title="Latest Topics on forum '{{ topic.forum.name }}'" href="{% url 'pybb_feed' "topics"%}{{topic.forum.id}}/" />
 {{ block.super }}
 {% endblock %}
 
 {% block content %}
 <h1>Topic: {{ topic }}</h1>
 <div class="blogEntry">
-	<a href="{% url pybb_index %}">Forums</a> &#187; 
+	<a href="{% url 'pybb_index' %}">Forums</a> &#187; 
 	{% pybb_link topic.forum.category %} &#187; 
 	<a href="{{ topic.forum.get_absolute_url }}">{{ topic.forum.name }}</a> &#187;
 	{{ topic }}
@@ -27,23 +27,23 @@
 	<div class="posRight">
 	{% if moderator %}
 		{% if topic.sticky %}
-		<a class="button" href="{% url pybb_unstick_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_unstick_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/unstick.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Unstick Topic" %}</span>
 		</a>
 		{% else %}
-		<a class="button" href="{% url pybb_stick_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_stick_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/sticky.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Stick Topic" %}</span>
 		</a>
 		{% endif %}
 		{% if topic.closed %}
-		<a class="button" href="{% url pybb_open_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_open_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/open.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Open Topic" %}</span>
 		</a>
 		{% else %}
-		<a class="button" href="{% url pybb_close_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_close_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/closed.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Close Topic" %}</span>
 		</a>
@@ -51,17 +51,17 @@
 	{% endif %}
 	{% if user.is_authenticated %}
 		{% if subscribed %}
-		<a class="button" href="{% url pybb_delete_subscription topic.id %}?from_topic">
+		<a class="button" href="{% url 'pybb_delete_subscription' topic.id %}?from_topic">
 			<img src="{{ MEDIA_URL }}forum/img/unsubscribe.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Unsubscribe" %}</span>
 		</a>
 		{% else %}
-		<a class="button" href="{% url pybb_add_subscription topic.id %}">
+		<a class="button" href="{% url 'pybb_add_subscription' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/subscribe.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Subscribe" %}</span>
 		</a>
 		{% endif %}
-		<a class="button" href="{% url pybb_add_post topic.id %}">
+		<a class="button" href="{% url 'pybb_add_post' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/send.png" alt ="" class="middle" />
 			<span class="middle">{% trans "New Reply" %}</span>
 		</a>
@@ -79,8 +79,8 @@
 		<tr class="odd">
 			<td class="author">
 				{{ post.user|user_link }}<br />
-				{% if post.user.wlprofile.avatar %}
-				<a href="{% url profile_view post.user %}">
+				{% if post.user.wlprofile_extras.avatar %}
+				<a href="{% url 'profile_view' post.user %}">
 					<img src="{{ post.user.wlprofile.avatar.url }}" alt="Avatar" />
 				</a>
 				{% endif %}
@@ -135,17 +135,17 @@
 					<span class="middle">{% trans "Top" %}</span>
 				</button>
 
-				<button onclick="window.location.href='{% url pybb_add_post topic.id %}?quote_id={{ post.id }}';">
+				<button onclick="window.location.href='{% url 'pybb_add_post' topic.id %}?quote_id={{ post.id }}';">
 					<img src="{{ MEDIA_URL }}forum/img/quote.png" alt ="" class="middle" />
 					<span class="middle">{% trans "Quote" %}</span>
 				</button>
 				{% if moderator or post|pybb_posted_by:user %}
-					<button onclick="window.location.href='{% url pybb_edit_post post.id %}';">
+					<button onclick="window.location.href='{% url 'pybb_edit_post' post.id %}';">
 						<img src="{{ MEDIA_URL }}forum/img/edit.png" alt ="" class="middle" />
 						<span class="middle">{% trans "Edit" %}</span>
 					</button>
 					{% if moderator or post|pybb_equal_to:last_post %}
-					<button onclick="window.location.href='{% url pybb_delete_post post.id %}';">
+					<button onclick="window.location.href='{% url 'pybb_delete_post' post.id %}';">
 						<img src="{{ MEDIA_URL }}forum/img/delete.png" alt ="" class="middle" />
 						<span class="middle">{% trans "Delete" %}</span>
 					</button>
@@ -167,7 +167,7 @@
 			<td class="author">
 				{{ post.user|user_link }}<br />
 				{% if post.user.wlprofile.avatar %}
-				<a href="{% url profile_view post.user %}">
+				<a href="{% url 'profile_view' post.user %}">
 					<img src="{{ post.user.wlprofile.avatar.url }}" alt="Avatar" />
 				</a>
 				{% endif %}
@@ -222,17 +222,17 @@
 					<span class="middle">{% trans "Top" %}</span>
 				</a>
 
-				<a class="button" href="{% url pybb_add_post topic.id %}?quote_id={{ post.id }}">
+				<a class="button" href="{% url 'pybb_add_post' topic.id %}?quote_id={{ post.id }}">
 					<img src="{{ MEDIA_URL }}forum/img/quote.png" alt ="" class="middle" />
 					<span class="middle">{% trans "Quote" %}</span>
 				</a>
 				{% if moderator or post|pybb_posted_by:user %}
-					<a class="button" href="{% url pybb_edit_post post.id %}">
+					<a class="button" href="{% url 'pybb_edit_post' post.id %}">
 						<img src="{{ MEDIA_URL }}forum/img/edit.png" alt ="" class="middle" />
 						<span class="middle">{% trans "Edit" %}</span>
 					</a>
 					{% if moderator or post|pybb_equal_to:last_post %}
-					<a class="button" href="{% url pybb_delete_post post.id %}">
+					<a class="button" href="{% url 'pybb_delete_post' post.id %}">
 						<img src="{{ MEDIA_URL }}forum/img/delete.png" alt ="" class="middle" />
 						<span class="middle">{% trans "Delete" %}</span>
 					</a>
@@ -251,23 +251,23 @@
 	<div class="posRight">
 	{% if moderator %}
 		{% if topic.sticky %}
-		<a class="button" href="{% url pybb_unstick_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_unstick_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/unstick.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Unstick Topic" %}</span>
 		</a>
 		{% else %}
-		<a class="button" href="{% url pybb_stick_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_stick_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/sticky.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Stick Topic" %}</span>
 		</a>
 		{% endif %}
 		{% if topic.closed %}
-		<a class="button" href="{% url pybb_open_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_open_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/open.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Open Topic" %}</span>
 		</a>
 		{% else %}
-		<a class="button" href="{% url pybb_close_topic topic.id %}">
+		<a class="button" href="{% url 'pybb_close_topic' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/closed.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Close Topic" %}</span>
 		</a>
@@ -275,17 +275,17 @@
 	{% endif %}
 	{% if user.is_authenticated %}
 		{% if subscribed %}
-		<a class="button" href="{% url pybb_delete_subscription topic.id %}?from_topic">
+		<a class="button" href="{% url 'pybb_delete_subscription' topic.id %}?from_topic">
 			<img src="{{ MEDIA_URL }}forum/img/unsubscribe.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Unsubscribe" %}</span>
 		</a>
 		{% else %}
-		<a class="button" href="{% url pybb_add_subscription topic.id %}">
+		<a class="button" href="{% url 'pybb_add_subscription' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/subscribe.png" alt ="" class="middle" />
 			<span class="middle">{% trans "Subscribe" %}</span>
 		</a>
 		{% endif %}
-		<a class="button" href="{% url pybb_add_post topic.id %}">
+		<a class="button" href="{% url 'pybb_add_post' topic.id %}">
 			<img src="{{ MEDIA_URL }}forum/img/send.png" alt ="" class="middle" />
 			<span class="middle">{% trans "New Reply" %}</span>
 		</a>

=== modified file 'templates/right_boxes.html'
--- templates/right_boxes.html	2016-02-29 23:14:56 +0000
+++ templates/right_boxes.html	2016-03-02 21:02:38 +0000
@@ -8,8 +8,8 @@
 
 {% load inbox %}
 {% load i18n %}
-{% load wlprofile wlpoll wlevents %}
-{#{% load pybb_extras %}#}
+{% load wlprofile_extras wlpoll_extras wlevents_extras %}
+{% load pybb_extras %}
 {#{% load online_users %}#}
 
 
@@ -45,7 +45,6 @@
 	</div>
 </div>
 
-{% comment %}
 
 <!-- Current polls if any -->
 {% get_open_polls as polls %}
@@ -59,10 +58,10 @@
 			{% if p.user_has_voted %}
 				<p class="small">You already voted on this!</p>
 				<div class="center">
-					<input type="button" value="Results" onclick="location='{% url wlpoll_detail p.id %}'" />
+					<input type="button" value="Results" onclick="location='{% url 'wlpoll_detail' p.id %}'" />
 				</div>
 			{% else %}
-				<form method="post" action="{% url wlpoll_vote p.id %}">
+				<form method="post" action="{% url 'wlpoll_vote' p.id %}">
 					<ul class="poll">
 					{% for c in p.choices.all %}
 						<li><input id="{{ c.id }}" class="radio" type="radio" name="choice_id" value="{{ c.id }}" /><label for="{{ c.id }}">{{ c.choice }}</label></li>
@@ -70,15 +69,15 @@
 					</ul>
 					<div class="center">
 						<input type="submit" value="Vote" />
-						<input type="button" value="Results" onclick="location='{% url wlpoll_detail p.id %}'" />
+						<input type="button" value="Results" onclick="location='{% url 'wlpoll_detail' p.id %}'" />
 					</div>
 					{% csrf_token %}
 				</form>
 			{% endif %}
 		{% else %}
-			<p class="small"><a href="{% url auth_login %}?next={{ request.path|iriencode }}">Log in</a> to vote!</p>
+			<p class="small"><a href="{% url 'auth_login' %}?next={{ request.path|iriencode }}">Log in</a> to vote!</p>
 			<div class="center">
-				<input type="button" value="Results" onclick="location='{% url wlpoll_detail p.id %}'" />
+				<input type="button" value="Results" onclick="location='{% url 'wlpoll_detail' p.id %}'" />
 			</div>
 		{% endif %}
 	{% endfor %}
@@ -89,7 +88,6 @@
 </div>
 {% endif %}
 
-
 <!-- Future Events if any -->
 {% get_future_events as events %}
 {% if events.count %}         
@@ -110,10 +108,9 @@
 </div>
 {% endif %}
 
-
+{% comment %}
 <!-- Logged in users -->
 {% online_users 10 %}
-
+{% endcomment %}
 <!-- Latest Post -->
 {% pybb_last_posts %}
-{% endcomment %}
\ No newline at end of file

=== modified file 'templates/threadedcomments/inlines/comments.html'
--- templates/threadedcomments/inlines/comments.html	2016-02-29 08:40:15 +0000
+++ templates/threadedcomments/inlines/comments.html	2016-03-02 21:02:38 +0000
@@ -2,7 +2,7 @@
    vim:ft=htmldjango
 {% endcomment %}
 
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load threadedcomments_tags %}
 
 	{% include "threadedcomments/inlines/reply_to.js" %}

=== modified file 'templates/threadedcomments/inlines/reply_to.js'
--- templates/threadedcomments/inlines/reply_to.js	2016-02-29 08:40:15 +0000
+++ templates/threadedcomments/inlines/reply_to.js	2016-03-02 21:02:38 +0000
@@ -2,7 +2,7 @@
     vim:ft=htmldjango:
 {% endcomment %}
 {% load threadedcomments_tags %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 <script type="text/javascript">
 function show_reply_form(comment_id, url, depth) {

=== modified file 'templates/wiki/article_content.html'
--- templates/wiki/article_content.html	2016-02-29 08:40:15 +0000
+++ templates/wiki/article_content.html	2016-03-02 21:02:38 +0000
@@ -1,4 +1,4 @@
-{% load wiki %}
+{% load wiki_extras %}
 {#{% load markup %}#}
 {% load wl_markdown %}
 {% load switchcase %}
@@ -9,6 +9,6 @@
     {% case 'crl' %} {{ content|creole|wikiwords|safe }} {% endcase %}
     {% case 'rst' %} {{ content|restructuredtext|wikiwords|safe }} {% endcase %}
     {% case 'mrk' %} {{ content|wl_markdown:"escape"}} {% endcase %}
-    {% case 'txl' %} {{ content|force_escape|restore_commandsymbols|textile|wikiwords }} {% endcase %}
+    {#{% case 'txl' %} {{ content|force_escape|restore_commandsymbols|textile|wikiwords }} {% endcase %}#}
     {% case '' %} {{ content|force_escape|wikiwords|linebreaks|safe }} {% endcase %}
 {% endswitch %}

=== modified file 'templates/wiki/article_teaser.html'
--- templates/wiki/article_teaser.html	2009-03-16 17:28:02 +0000
+++ templates/wiki/article_teaser.html	2016-03-02 21:02:38 +0000
@@ -1,5 +1,5 @@
 
-{% load wiki %}
+{% load wiki_extras %}
 {% load avatar_tags %}
 {% load custom_date %}
 

=== modified file 'templates/wiki/changeset.html'
--- templates/wiki/changeset.html	2012-09-20 20:03:21 +0000
+++ templates/wiki/changeset.html	2016-03-02 21:02:38 +0000
@@ -7,8 +7,8 @@
 
 {% block content %}
 <div class="posRight small">
-	<a href="{% url wiki_article article.title %}" class="invertedColor">{% trans "Back to article" %}</a>
-	| <a href="{% url wiki_article_history article.title %}" class="invertedColor">{% trans "Editing history" %}</a>
+	<a href="{% url 'wiki_article' article.title %}" class="invertedColor">{% trans "Back to article" %}</a>
+	| <a href="{% url 'wiki_article_history' article.title %}" class="invertedColor">{% trans "Editing history" %}</a>
 </div>
 <h1>{% trans "Changes in" %} {{ article.title }}</h1>
 

=== modified file 'templates/wiki/edit.html'
--- templates/wiki/edit.html	2016-01-17 08:53:17 +0000
+++ templates/wiki/edit.html	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 {% extends 'wiki/base.html' %}
 {% load i18n %}
-{% load wlimages %}
+{% load wlimages_extras %}
 
 {% block title %}
 {% trans "Editing" %} {{ article.title }} - {{ block.super }}
@@ -18,7 +18,7 @@
 		$("#id_preview").click(function(){ 
 			// Activate preview
 			$("#preview").html("<h3>Preview</h3>\n<hr>\n<div class=\"wiki_article\" id=\"content_preview\">Loading...</div>\n<hr>");
-			$("#content_preview").load( "{% url wiki_preview %}", 
+			$("#content_preview").load( "{% url 'wiki_preview' %}", 
 				{"body": $("#id_content").val()});
 		})
 
@@ -27,7 +27,7 @@
 		$("#id_diff").click(function(){ 
 			// Activate preview
 			$("#diff").html("<h3>Diff</h3>\n<hr>\n<div id=\"content_diff\">Loading...</div>\n<hr>");
-			$("#content_diff").load( "{% url wiki_preview_diff %}", 
+			$("#content_diff").load( "{% url 'wiki_preview_diff' %}", 
 				{"body": $("#id_content").val(), "article": {{ object_id }} });
 		})
 	{%endifequal%}
@@ -39,9 +39,9 @@
 {% block content %}
 {% if not new_article %} 
 <div class="posRight small">
-	<a href="{% url wiki_article article.title %}" class="invertedColor">{% trans "Back to article" %}</a>
+	<a href="{% url 'wiki_article' article.title %}" class="invertedColor">{% trans "Back to article" %}</a>
 	|
-	<a href="{% url wiki_article_history article.title %}" class="invertedColor">{% trans "Editing history" %}</a>
+	<a href="{% url 'wiki_article_history' article.title %}" class="invertedColor">{% trans "Editing history" %}</a>
 </div>
 {% endif %}
 <h1>{% trans "Editing" %} {{ article.title }}</h1>

=== modified file 'templates/wiki/history.html'
--- templates/wiki/history.html	2013-06-12 10:05:41 +0000
+++ templates/wiki/history.html	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 {% extends 'wiki/base.html' %}
 {% load i18n %}
-{% load custom_date wlprofile %}
+{% load custom_date wlprofile_extras %}
 
 
 {% block title %}
@@ -56,13 +56,13 @@
 {% endif %}
 
 <div class="posRight small">
-	<a href="{% url wiki_article article.title %}" class="invertedColor">{% trans "Back to article" %}</a>
-	| <a href="{% url wiki_article_history_feed title=article.title,feedtype="atom" %}"  class="invertedColor">Atom Feed</a>
+	<a href="{% url 'wiki_article' article.title %}" class="invertedColor">{% trans "Back to article" %}</a>
+	| <a href="{% url 'wiki_article_history_feed' title=article.title feedtype="atom" %}"  class="invertedColor">Atom Feed</a>
 </div>
 <h1>{% trans "Article History of" %} {{ article.title }}</h1>
 
 <div class="blogEntry">
-	<form action="{% url wiki_revert_to_revision article.title %}" method="post" onsubmit="return check(this);">
+	<form action="{% url 'wiki_revert_to_revision' article.title %}" method="post" onsubmit="return check(this);">
 		<table class="history_list">
 		<thead>
 			<tr>

=== modified file 'templates/wiki/index.html'
--- templates/wiki/index.html	2016-02-29 08:40:15 +0000
+++ templates/wiki/index.html	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 {% extends "wiki/base.html" %}
 {% load i18n %}
-{% load custom_date wlprofile %}
+{% load custom_date wlprofile_extras %}
 
 {% block title %}Wiki Index - {{ block.super }}{% endblock %}
 
@@ -20,7 +20,7 @@
 		<tbody>
 			{% for article in articles %}
 			<tr>
-				<td><a href="{% url 'wiki_article article' title %}">{{ article.title }}</a></td>
+				<td><a href="{% url 'wiki_article' article.title %}">{{ article.title }}</a></td>
 				<td>{{ article.summary }}</td>
 				<td>{{ article.last_update|custom_date:user }}</td>
 			</tr>

=== modified file 'templates/wiki/recentchanges.html'
--- templates/wiki/recentchanges.html	2012-09-09 18:03:59 +0000
+++ templates/wiki/recentchanges.html	2016-03-02 21:02:38 +0000
@@ -33,13 +33,13 @@
 	<tr class="{% cycle 'odd' 'even' %}">
 		<td>
 			{% if change.old_title %} 
-				<a href="{% url wiki_changeset change.article.title,change.revision %}">Modified</a>
+				<a href="{% url 'wiki_changeset' change.article.title change.revision %}">Modified</a>
 			{% else %} 
-				<a href="{% url wiki_article change.article.title %}">Added</a>
+				<a href="{% url 'wiki_article' change.article.title %}">Added</a>
 			{% endif %}
 		</td>
 		<td>
-			<a href="{% url wiki_article change.article.title %}">{{ change.article.title }}</a>
+			<a href="{% url 'wiki_article' change.article.title %}">{{ change.article.title }}</a>
 		</td>
 		<td>{{ change.modified|custom_date:user }}</td>
 		<td>{{ change.editor }}</td>

=== modified file 'templates/wiki/view.html'
--- templates/wiki/view.html	2016-02-29 08:40:15 +0000
+++ templates/wiki/view.html	2016-03-02 21:02:38 +0000
@@ -1,6 +1,6 @@
 {% extends 'wiki/base.html' %}
 {% load i18n %}
-{% load wiki %}
+{% load wiki_extras %}
 
 {% block title %}
 {{ article.title }} - {{block.super}}
@@ -15,15 +15,15 @@
 {% block content %}
 <div class="posRight small">
 	{% if article.id %}
-		<a class="invertedColor" href="{% url wiki_edit article.title %}">{% trans "Edit this article" %}</a>
+		<a class="invertedColor" href="{% url 'wiki_edit' article.title %}">{% trans "Edit this article" %}</a>
 		|
-		<a class="invertedColor" href="{% url wiki_article_history article.title %}">{% trans "Editing history" %}</a>
+		<a class="invertedColor" href="{% url 'wiki_article_history' article.title %}">{% trans "Editing history" %}</a>
 		{% if can_observe %}
 			| 
 			{% if is_observing %} 
-			<a class="invertedColor" href="{% url wiki_stop_observing article.title %}">{% trans "Stop observing" %}</a>
+			<a class="invertedColor" href="{% url 'wiki_stop_observing' article.title %}">{% trans "Stop observing" %}</a>
 			{% else %}
-			<a class="invertedColor" href="{% url wiki_observe article.title %}">{% trans "Observe" %}</a>
+			<a class="invertedColor" href="{% url 'wiki_observe' article.title %}">{% trans "Observe" %}</a>
 			{% endif %}
 		{% endif %}
 	{% endif %}

=== modified file 'templates/wlggz/view_ggz_highscore.html'
--- templates/wlggz/view_ggz_highscore.html	2010-10-30 12:17:49 +0000
+++ templates/wlggz/view_ggz_highscore.html	2016-03-02 21:02:38 +0000
@@ -4,7 +4,7 @@
 
 {% block content %}
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% include "django_messages/inlines/navigation.html" %}
 

=== modified file 'templates/wlggz/view_ggz_matches.html'
--- templates/wlggz/view_ggz_matches.html	2010-10-30 12:17:49 +0000
+++ templates/wlggz/view_ggz_matches.html	2016-03-02 21:02:38 +0000
@@ -4,7 +4,7 @@
 
 {% block content %}
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% include "django_messages/inlines/navigation.html" %}
 

=== modified file 'templates/wlggz/view_ggz_playerstats.html'
--- templates/wlggz/view_ggz_playerstats.html	2010-10-30 12:17:49 +0000
+++ templates/wlggz/view_ggz_playerstats.html	2016-03-02 21:02:38 +0000
@@ -4,7 +4,7 @@
 
 {% block content %}
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 
 {% include "django_messages/inlines/navigation.html" %}
 

=== modified file 'templates/wlhelp/building_details.html'
--- templates/wlhelp/building_details.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/building_details.html	2016-03-02 21:02:38 +0000
@@ -10,9 +10,9 @@
 {% block content %}
 <h1>{{ tribe.displayname }}: {{ building.displayname }}</h1>
 <div class="blogEntry">
-	<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
-	<a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a> &#187;
-	<a href="{% url wlhelp_buildings tribe.name %}">Buildings</a> &#187;
+	<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
+	<a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a> &#187;
+	<a href="{% url 'wlhelp_buildings' tribe.name %}">Buildings</a> &#187;
 	{{ building.displayname }}
 	<br /><br />
 
@@ -29,7 +29,7 @@
 	<h2>Build Cost<h2>
 	{% for costs in building.get_build_cost %}
 		{% for w in costs %}
-		<a href="{% url wlhelp_ware_details w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
+		<a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
 		{% endfor %}
 	<br />
 	{% endfor %}
@@ -39,7 +39,7 @@
 	<h2>Produces</h2>
 	{% if building.produces and not building.trains %}
 		{% for w in building.get_ware_outputs %}
-		<a href="{% url wlhelp_ware_details w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
+		<a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
 		{% endfor %}
 	{% else %}
 		{% for wor in building.get_worker_outputs %}
@@ -52,7 +52,7 @@
 	<h2>Stores</h2>
 	{% for costs in building.get_stored_wares %}
 		{% for w in costs %}
-		<a href="{% url wlhelp_ware_details w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
+		<a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
 		{% endfor %}
 	<br />
 	{% endfor %}

=== modified file 'templates/wlhelp/buildings.html'
--- templates/wlhelp/buildings.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/buildings.html	2016-03-02 21:02:38 +0000
@@ -10,8 +10,8 @@
 {% block content %}
 <h1>{{ tribe.displayname }}: Buildings</h1>
 <div class="blogEntry">
-	<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
-	<a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a> &#187;
+	<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
+	<a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a> &#187;
 	Buildings
 	<br /><br />
 

=== modified file 'templates/wlhelp/index.html'
--- templates/wlhelp/index.html	2015-05-23 16:12:31 +0000
+++ templates/wlhelp/index.html	2016-03-02 21:02:38 +0000
@@ -17,7 +17,7 @@
 <p>This is a list of all tribes in Widelands:</p>
 <ul>
 {% for tribe in tribes %}
-	<li><a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a></li>
+	<li><a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a></li>
 {% endfor %}
 </ul>
 </div>

=== modified file 'templates/wlhelp/inlines/display_buildings.html'
--- templates/wlhelp/inlines/display_buildings.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/inlines/display_buildings.html	2016-03-02 21:02:38 +0000
@@ -9,7 +9,7 @@
 {% for b in buildings %}
 	<tr class="{% cycle "odd" "even" %}">
 		<td>
-			<a href="{% url wlhelp_building_details b.tribe.name b.name %}" title="{{ b.displayname }}" id="{{ b.name }}">
+			<a href="{% url 'wlhelp_building_details' b.tribe.name b.name %}" title="{{ b.displayname }}" id="{{ b.name }}">
 				{{ b.displayname|title }}
 				<br />
 				<img alt="{{b.displayname}}" src="{{ b.image_url }}" />
@@ -19,7 +19,7 @@
 		<td>
 			{% for costs in b.get_build_cost %}
 				{% for w in costs %}
-				<a href="{% url wlhelp_ware_details w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
+				<a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
 				{% endfor %}
 			<br />
 			{% endfor %}
@@ -27,7 +27,7 @@
 		<td>
 			{% if b.produces and not b.trains %}
 				{% for w in b.get_ware_outputs %}
-				<a href="{% url wlhelp_ware_details w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
+				<a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
 				{% endfor %}
 			{% endif %}
 			{% if b.trains and not b.produces %}
@@ -39,7 +39,7 @@
 		<td>
 			{% for costs in b.get_stored_wares %}
 				{% for w in costs %}
-				<a href="{% url wlhelp_ware_details w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
+				<a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}" title="{{w.displayname}}"><img src="{{ w.image_url }}" alt="{{ w.name }}" /></a>
 				{% endfor %}
 			<br />
 			{% endfor %}

=== modified file 'templates/wlhelp/tribe_details.html'
--- templates/wlhelp/tribe_details.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/tribe_details.html	2016-03-02 21:02:38 +0000
@@ -10,15 +10,15 @@
 {% block content %}
 <h1>{{ tribe.displayname }}</h1>
 <div class="blogEntry">
-<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
+<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
 {{ tribe.displayname }}
 <br /><br />
 <img class="posLeft icon" src="{{ tribe.icon_url }}" alt="" />
 <p>{{ tribe.descr }}</p>
 <ul>
-	<li><a href="{% url wlhelp_buildings tribe.name %}">Buildings</a></li>
-	<li><a href="{% url wlhelp_wares tribe.name %}">Wares</a></li>
-	<li><a href="{% url wlhelp_workers tribe.name %}">Workers</a></li>
+	<li><a href="{% url 'wlhelp_buildings' tribe.name %}">Buildings</a></li>
+	<li><a href="{% url 'wlhelp_wares' tribe.name %}">Wares</a></li>
+	<li><a href="{% url 'wlhelp_workers' tribe.name %}">Workers</a></li>
 	<li><a href="{{ tribe.network_pdf_url }}" target="_blank">Economy Network as PDF</a></li>
 	<li><a href="{{ tribe.network_gif_url }}" target="_blank">Economy Network as GIF</a></li>
 </ul>

=== modified file 'templates/wlhelp/ware_details.html'
--- templates/wlhelp/ware_details.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/ware_details.html	2016-03-02 21:02:38 +0000
@@ -10,9 +10,9 @@
 {% block content %}
 <h1>{{ tribe.displayname }}: {{ ware.displayname }}</h1>
 <div class="blogEntry">
-	<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
-	<a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a> &#187;
-	<a href="{% url wlhelp_wares tribe.name %}">Wares</a> &#187;
+	<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
+	<a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a> &#187;
+	<a href="{% url 'wlhelp_wares' tribe.name %}">Wares</a> &#187;
 	{{ ware.displayname }}
 	<br /><br />
 

=== modified file 'templates/wlhelp/wares.html'
--- templates/wlhelp/wares.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/wares.html	2016-03-02 21:02:38 +0000
@@ -10,8 +10,8 @@
 {% block content %}
 <h1>{{ tribe.displayname }}: Wares</h1>
 <div class="blogEntry">
-	<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
-	<a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a> &#187;
+	<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
+	<a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a> &#187;
 	Wares
 	<br /><br />
 
@@ -24,11 +24,11 @@
 	{% for ware in wares %}
 		<tr class="{% cycle "odd" "even" %}">
 			<td>
-				<a href="{% url wlhelp_ware_details tribe.name ware.name %}">
+				<a href="{% url 'wlhelp_ware_details' tribe.name ware.name %}">
 					<img src="{{ ware.image_url }}"  alt="{{ ware.name }}" />
 				</a>
 			</td>
-			<td><a id="{{ ware.name }}" href="{% url wlhelp_ware_details tribe.name ware.name %}">{{ ware.displayname }}</a></td>
+			<td><a id="{{ ware.name }}" href="{% url 'wlhelp_ware_details' tribe.name ware.name %}">{{ ware.displayname }}</a></td>
 			<td>{{ ware.help }}</td> 
 		</tr>
 	{% endfor %}

=== modified file 'templates/wlhelp/worker_details.html'
--- templates/wlhelp/worker_details.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/worker_details.html	2016-03-02 21:02:38 +0000
@@ -10,9 +10,9 @@
 {% block content %}
 <h1>{{ tribe.displayname }}: {{ worker.displayname }}</h1>
 <div class="blogEntry">
-	<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
-	<a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a> &#187;
-	<a href="{% url wlhelp_workers tribe.name %}">Workers</a> &#187;
+	<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
+	<a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a> &#187;
+	<a href="{% url 'wlhelp_workers' tribe.name %}">Workers</a> &#187;
 	{{ worker.displayname }}
 	<br /><br />
 

=== modified file 'templates/wlhelp/workers.html'
--- templates/wlhelp/workers.html	2012-05-19 19:55:15 +0000
+++ templates/wlhelp/workers.html	2016-03-02 21:02:38 +0000
@@ -10,8 +10,8 @@
 {% block content %}
 <h1>{{ tribe.displayname }}: Workers</h1>
 <div class="blogEntry">
-	<a href="{% url wlhelp_index %}">Encyclopedia</a> &#187;
-	<a href="{% url wlhelp_tribe_details tribe.name %}">{{ tribe.displayname }}</a> &#187;
+	<a href="{% url 'wlhelp_index' %}">Encyclopedia</a> &#187;
+	<a href="{% url 'wlhelp_tribe_details' tribe.name %}">{{ tribe.displayname }}</a> &#187;
 	Workers
 	<br /><br />
 
@@ -24,11 +24,11 @@
 	{% for worker in workers %}
 		<tr class="{% cycle "odd" "even" %}">
 			<td>
-				<a href="{% url wlhelp_worker_details tribe.name worker.name %}">
+				<a href="{% url 'wlhelp_worker_details' tribe.name worker.name %}">
 					<img src="{{ worker.image_url }}"  alt="{{ worker.name }}" />
 				</a>
 			</td>
-			<td><a id="{{ worker.name }}" href="{% url wlhelp_worker_details tribe.name worker.name %}">{{ worker.displayname }}</a></td>
+			<td><a id="{{ worker.name }}" href="{% url 'wlhelp_worker_details' tribe.name worker.name %}">{{ worker.displayname }}</a></td>
 			<td>{{ worker.help }}</td> 
 		</tr>
 	{% endfor %}

=== modified file 'templates/wlmaps/edit_comment.html'
--- templates/wlmaps/edit_comment.html	2016-02-15 14:06:09 +0000
+++ templates/wlmaps/edit_comment.html	2016-03-02 21:02:38 +0000
@@ -3,7 +3,7 @@
 {% block content %} 
 <h1>Edit comment: {{ map.name }}</h1>
 <div class="blogEntry">
-    <form enctype="multipart/form-data" action="{% url wlmaps_edit_comment map.slug %}" method="post">
+    <form enctype="multipart/form-data" action="{% url 'wlmaps_edit_comment' map.slug %}" method="post">
         <div>
         {{ form.uploader_comment.label_tag }}:
 			<span class="posRight">

=== modified file 'templates/wlmaps/index.html'
--- templates/wlmaps/index.html	2016-02-29 08:40:15 +0000
+++ templates/wlmaps/index.html	2016-03-02 21:02:38 +0000
@@ -4,13 +4,13 @@
 {% endcomment %}
 
 {% load custom_date %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load wlmaps_extra %}
 {% load threadedcomments_tags %}
 {% load pagination_tags %}
 
 {% block content %}
-<a href="{% url wlmaps_upload %}" class="posRight invertedColor small">Upload a new map</a>
+<a href="{% url 'wlmaps_upload' %}" class="posRight invertedColor small">Upload a new map</a>
 <h1>Maps</h1>
 <div class="blogEntry">
 	<p>
@@ -63,7 +63,7 @@
 						<td class="grey">Downloads:</td><td>{{ map.nr_downloads }}</td>
 						<td class="spacer"></td>
 						<td colspan="2">
-							<a class="button" href="{% url wlmaps_download map.slug %}">
+							<a class="button" href="{% url 'wlmaps_download' map.slug %}">
 								<img src="{{ MEDIA_URL }}img/download.png" alt ="" class="middle" />
 								<span class="middle">Direct Download</span>
 							</a>

=== modified file 'templates/wlmaps/map_detail.html'
--- templates/wlmaps/map_detail.html	2016-02-29 08:40:15 +0000
+++ templates/wlmaps/map_detail.html	2016-03-02 21:02:38 +0000
@@ -5,7 +5,7 @@
 
 {% load custom_date %}
 {% load wlmaps_extra %}
-{% load wlprofile %}
+{% load wlprofile_extras %}
 {% load threadedcomments_tags %}
 {% load wl_markdown %}
 
@@ -24,7 +24,7 @@
         maxScore: 10,
         messages: ["","","","","","","","","",""],
         fn: function(e, score) {
-            $.post("{% url wlmaps_rate map.slug %}",{ vote: score });
+            $.post("{% url 'wlmaps_rate' map.slug %}",{ vote: score });
             }
         });
 });
@@ -36,7 +36,7 @@
 <h1>Map: {{ map.name }}</h1>
 <div class="blogEntry" style="padding-bottom: 3em">
 	<div>
-		<a href="{% url wlmaps_index %}">Maps</a> &#187; {{ map.name }}
+		<a href="{% url 'wlmaps_index' %}">Maps</a> &#187; {{ map.name }}
 	</div>
 		<img class="posLeft map" style="float: left" src="{{ MEDIA_URL }}{{ map.minimap.url }}" alt="{{ map.name }}" />
 	<div>
@@ -54,7 +54,7 @@
 		<h3>Comment by uploader:</h3>
 		<div>{{ map.uploader_comment|wl_markdown:"remove" }}</div>
 		{% if user == map.uploader %}
-			<a class="button posLeft" href="{% url wlmaps_edit_comment map.slug %}">
+			<a class="button posLeft" href="{% url 'wlmaps_edit_comment' map.slug %}">
 				<img alt="Edit" title="Edit your comment" class="middle" src="{{ MEDIA_URL }}forum/img/edit.png">
 				<span class="middle">Edit</span>
 			</a>
@@ -114,7 +114,7 @@
 	</div>
 	
 	<div style="margin: 1em 0px 1em 0px">
-	<a class="button posLeft" href="{% url wlmaps_download map.slug %}">
+	<a class="button posLeft" href="{% url 'wlmaps_download' map.slug %}">
 		<img src="{{ MEDIA_URL }}img/download.png" alt ="" class="middle" />
 		<span class="middle">Download this map</span>
 	</a>

=== modified file 'templates/wlmaps/upload.html'
--- templates/wlmaps/upload.html	2016-02-09 18:05:18 +0000
+++ templates/wlmaps/upload.html	2016-03-02 21:02:38 +0000
@@ -9,9 +9,9 @@
 <h1>Map Upload</h1>
 <div class="blogEntry">
 	<div class="breadCrumb">
-		<a href="{% url wlmaps_index %}">Maps</a> &#187; Upload
+		<a href="{% url 'wlmaps_index' %}">Maps</a> &#187; Upload
 	</div>
-	<form enctype="multipart/form-data" action="{% url wlmaps_upload %}" method="post">
+	<form enctype="multipart/form-data" action="{% url 'wlmaps_upload' %}" method="post">
 		{{ form.file.label_tag }}: {{ form.file }}<br />
 		{% if form.file.errors %}
 			<span class="errormessage">{{ form.file.errors }}</span><br />

=== modified file 'templates/wlpoll/poll_detail.html'
--- templates/wlpoll/poll_detail.html	2016-02-29 08:40:15 +0000
+++ templates/wlpoll/poll_detail.html	2016-03-02 21:02:38 +0000
@@ -3,7 +3,7 @@
    vim:ft=htmldjango
 {% endcomment %}
 
-{% load wlprofile wlpoll %}
+{% load wlprofile_extras wlpoll_extras %}
 {% load comments %}
 {% load threadedcomments_tags custom_date %}
 

=== modified file 'templates/wlpoll/poll_list.html'
--- templates/wlpoll/poll_list.html	2016-02-29 08:40:15 +0000
+++ templates/wlpoll/poll_list.html	2016-03-02 21:02:38 +0000
@@ -3,24 +3,43 @@
    vim:ft=htmldjango
 {% endcomment %}
 
+{% block extra_head %}
+{{ block.super}}
+<link rel="stylesheet" type="text/css" media="all" href="{{ MEDIA_URL }}css/wiki.css" />
+{% endblock %}
+
 {% load threadedcomments_tags custom_date %}
 {% block title %}Poll Archive - {{ block.super }}{% endblock %}
 
 {% block content %}
-{% if perms.wlpoll %}
+    {% if perms.wlpoll %}
 	<div class="small posRight">
 		{% if perms.wlpoll.poll_can_add %}<a href="/admin/wlpoll/poll/add/" class="invertedColor">Add New Poll</a>{% endif %}
 	</div>
-	{% endif %}
-<h1>Poll Archive</h1>
-<div class="blogEntry">
-	<ul>
-	{% for o in object_list %}
-	{% get_comment_count for o as ccount %}
-		<li>
-			<a href="{{o.get_absolute_url}}">{{ o.name }}</a> - <span class="small">posted at {{ o.pub_date|custom_date:user }}, {{ ccount }} comments, {{o.total_votes}} votes</span>
-		</li>
-	{% endfor %}
-	</ul>
-</div>
+    {% endif %}
+    <h1>Poll Archive</h1>
+    <div class="blogEntry">
+        <div class="post">
+        <table>
+            <tr>
+                <th>Poll</th>
+                <th>Begin</th>
+                <th>End</th>
+                <th>Votes</th>
+                <th>Comments</th>
+            </tr>
+            
+            {% for o in object_list %}
+            {% get_comment_count for o as ccount %}
+        	<tr>
+                <td><a href="{{o.get_absolute_url}}">{{ o.name }}</a></td>
+                <td>{{ o.pub_date|custom_date:user }}</td>
+                <td>{{ o.closed_date|custom_date:user }}</td>
+                <td class="center">{{ ccount }}</td>
+                <td class="right">{{o.total_votes}}</td>
+            </tr>
+            {% endfor %}
+        </table>
+        </div>
+    </div>
 {% endblock %}

=== modified file 'templates/wlprofile/edit_profile.html'
--- templates/wlprofile/edit_profile.html	2012-05-08 21:52:15 +0000
+++ templates/wlprofile/edit_profile.html	2016-03-02 21:02:38 +0000
@@ -44,12 +44,12 @@
 	<br />
 	<br />
 	<p>
-		<a href="{% url auth_password_change %}">Change website password</a>
+		<a href="{% url 'auth_password_change' %}">Change website password</a>
 		<br />
 		You will be redirected to an encrypted connection. The website password is <strong>not</strong> transmitted in cleartext.
 	</p>
 	<p>
-		<a href="{% url wlggz_changepw %}">Change online gaming password</a>
+		<a href="{% url 'wlggz_changepw' %}">Change online gaming password</a>
 		<br />
 		<strong class="errormessage">WARNING: The online gaming password is transmitted in cleartext. Do not use your website password!</strong>
 	</p>

=== modified file 'templates/wlprofile/view_profile.html'
--- templates/wlprofile/view_profile.html	2015-02-18 22:30:08 +0000
+++ templates/wlprofile/view_profile.html	2016-03-02 21:02:38 +0000
@@ -10,7 +10,7 @@
 {% block content %}
 <div class="posRight small">
 	{% ifequal user profile.user %}
-		<a class="invertedColor" href="{% url profile_edit %}">Edit Profile</a>
+		<a class="invertedColor" href="{% url 'profile_edit' %}">Edit Profile</a>
 	{% endifequal %}
 </div>
 <h1>{{ profile.user.username }}'s Profile</h1>
@@ -25,7 +25,7 @@
 			</td>
 			<td>
 			{% ifnotequal user profile.user %}
-				<button onclick="window.location.href='{% url messages_compose_to profile.user %}';">
+				<button onclick="window.location.href='{% url 'messages_compose_to' profile.user %}';">
 					<img src="{{ MEDIA_URL }}forum/img/send_pm.png" alt ="" class="middle" />
 					<span class="middle">{% trans "Send PM" %}</span>
 				</button>
@@ -84,7 +84,7 @@
 <table class="bottom_line" width="100%">
 	<tr>
 		<td>
-    			<a href="{% url wlggz_userstats profile.user %}">View GGZ Statistics of this user</a>
+    			<a href="{% url 'wlggz_userstats' profile.user %}">View GGZ Statistics of this user</a>
 		</td>
 	</tr>
 </table>

=== modified file 'templates/wlsearch/search.html'
--- templates/wlsearch/search.html	2015-02-18 22:30:08 +0000
+++ templates/wlsearch/search.html	2016-03-02 21:02:38 +0000
@@ -50,7 +50,7 @@
 	<h4>Buildings</h4>
 	<ul>
 	{% for b in wlhelp_results_buildings %}
-		<li><a href="{% url wlhelp_building_details b.tribe.name b.name %}">{{ b.tribe.displayname }} &raquo; {{b.displayname}}</a></li>
+		<li><a href="{% url 'wlhelp_building_details' b.tribe.name b.name %}">{{ b.tribe.displayname }} &raquo; {{b.displayname}}</a></li>
 	{% endfor %}
 	</ul>
 	{% endif %}
@@ -59,7 +59,7 @@
 	<h4>Wares</h4>
 	<ul>
 	{% for w in wlhelp_results_wares %}
-		<li><a href="{% url wlhelp_ware_details w.tribe.name w.name %}">{{ w.tribe.displayname }} &raquo; {{w.displayname}}</a></li>
+		<li><a href="{% url 'wlhelp_ware_details' w.tribe.name w.name %}">{{ w.tribe.displayname }} &raquo; {{w.displayname}}</a></li>
 	{% endfor %}
 	</ul>
 	{% endif %}

=== modified file 'update_problems.txt'
--- update_problems.txt	2016-02-27 16:06:39 +0000
+++ update_problems.txt	2016-03-02 21:02:38 +0000
@@ -1,32 +1,45 @@
 Update problems:
 
-# South:
-South is now integrated into django, see
-http://south.readthedocs.org/en/latest/releasenotes/1.0.html#library-migration-path
-
-An upgrading from old south migrations to django is decribed here:
-https://docs.djangoproject.com/en/1.9/topics/migrations/#upgrading-from-south
-
-Should be easy.
-
 # Django-ratings
-django-ratings is no longer maintained; see
-https://github.com/dcramer/django-ratings
-
-django-ratings is currently used only in wlmaps. We could either adjust django ratings or drop it.
+  django-ratings is no longer maintained; see
+  https://github.com/dcramer/django-ratings
+  
+  django-ratings is currently used only in wlmaps. We could either adjust django ratings or use
+  alternative: django-star-ratings (py3 ready)
 
 # Django-tracking
-django-tracking requires django.contrib.geoip which 
-requires Python GeoIP 1.3.2. Django.contrib.geoip gets deprecated in Dajngo 1.9 in favour of django.contrib.gis.geoip2, which supports IPv6 and the GeoLite2 database format.
-
-#Pillow
-The maintainers recommend installing this as a distribution package. For Ubuntu:
-
-apt-get install python-imaging
-
-See http://pillow.readthedocs.org/en/3.1.x/installation.html#linux-installation
-
-To get access in a virtual environment the environment has to be created with --system-site-packages option.
-
-# Others
-Trouble with notifications in /wiki/models.py
+  The original django-tracking is disowned, see http://www.codekoala.com/posts/django-projects/
+  User bashu has adopt it, see: https://github.com/bashu/django-tracking
+  But it looks not really maintained.
+  
+  django-tracking requires django.contrib.geoip which 
+  requires Python GeoIP 1.3.2.
+  Django.contrib.geoip gets deprecated in Dajngo 1.9 in favour of
+  django.contrib.gis.geoip2, which supports IPv6 and the GeoLite2 database format.
+
+# Django-notifications
+  The old project is forked and is renamed to pinax-notifications
+  Backwarts icompatible changes to the old version used by us:
+    BI: renamed Notice.user to Notice.recipient
+    BI: renamed {{ user }} context variable in notification templates to {{ recipient }}
+    BI: added nullable Notice.sender and modified send_now and queue to take an optional sender
+    BI: split settings part of notices view to its own view notice_settings
+    
+    See also Database_affected_changes.txt
+
+# User model
+  The current setting in settings.py:
+  
+  AUTH_PROFILE_MODULE = 'wlprofile.Profile'
+  
+  Has been removed in Django 1.7. I am not sure how to handle this change at the moment.
+  See also Database_affected_changes.txt
+
+# Sorting of fields in Forms
+  The old 'keyOrder = ["fields"]' isn't available in Django 1.8
+  In Django 1.9 a new function 'order_keys' get's implemented.
+  Until then it is possible to order the fields in class Meta:
+  f.e.: fields = ['name','body', 'markup', 'attachment',]
+
+
+  

=== modified file 'urls.py'
--- urls.py	2016-02-29 23:14:56 +0000
+++ urls.py	2016-03-02 21:02:38 +0000
@@ -8,8 +8,8 @@
 
 from news.feeds import NewsPostsFeed
 from wiki.feeds import RssHistoryFeed
-#from django.views.generic.simple import redirect_to
-
+from django.views.generic.base import RedirectView
+from django.contrib.syndication.views import Feed
 feeds = {
     'news': NewsPostsFeed,
 
@@ -27,10 +27,14 @@
     (r'^feeds/(?P<url>.*)/$', 'django.contrib.syndication.views.Feed', {'feed_dict': feeds}),
 
     # 3rd party, unmodified
-#    (r'^notification/', include('notification.urls')),
+#    (r'^notification/', include('notification.urls')), #replaced with next
+    url(r"^notifications/", include("pinax.notifications.urls")),
+
     # (r'^stats/', include('simplestats.urls')),
     (r'^messages/', include('django_messages.urls')),
-#    (r'^threadedcomments/', include('threadedcomments.urls')),
+#    (r'^threadedcomments/', include('threadedcomments.urls')), #replaced with next
+    url(r'^articles/comments/', include('django_comments.urls')),
+    
 #    (r'^docs/', include('sphinxdoc.urls')),
 
     # 3rd party, modified for widelands
@@ -44,16 +48,16 @@
     url(r'^developers/$', "mainpage.views.developers", name="developers"),
     url(r'^legal_notice/$', "mainpage.views.legal_notice", name="legal_notice"),
     url(r'^legal_notice_thanks/$', "mainpage.views.legal_notice_thanks", name="legal_notice_thanks"),
-#    url(r'^help/(?P<path>.*)', redirect_to, { "url": "/encyclopedia/%(path)s", "permanent": True }), # to not break old links
-#    url(r'^encyclopedia/', include("wlhelp.urls")),
-#    url(r'^webchat/', include("wlwebchat.urls")),
-#    url(r'^images/', include("wlimages.urls")),
+    url(r'^help/(?P<path>.*)', RedirectView.as_view( url= "/encyclopedia/%(path)s" , permanent=True)), # to not break old links
+    url(r'^encyclopedia/', include("wlhelp.urls")),
+    url(r'^webchat/', include("wlwebchat.urls")),
+    url(r'^images/', include("wlimages.urls")),
     url(r'^profile/', include("wlprofile.urls")),
-#    url(r'^search/', include("wlsearch.urls")),
+    url(r'^search/', include("wlsearch.urls")),
     url(r'^poll/', include("wlpoll.urls")),
-#   url(r'^maps/', include("wlmaps.urls")),
+    url(r'^maps/', include("wlmaps.urls")),
     url(r'^screenshots/', include("wlscreens.urls")),
-#    url(r'^ggz/', include("wlggz.urls")),
+    url(r'^ggz/', include("wlggz.urls")),
 )
 
 try:

=== modified file 'wiki/forms.py'
--- wiki/forms.py	2011-08-25 15:41:04 +0000
+++ wiki/forms.py	2016-03-02 21:02:38 +0000
@@ -7,7 +7,7 @@
 from django.utils.translation import ugettext_lazy as _
 
 from wiki.models import Article
-from wiki.templatetags.wiki import WIKI_WORD_RE
+from wiki.templatetags.wiki_extras import WIKI_WORD_RE
 
 wikiword_pattern = re.compile('^' + WIKI_WORD_RE + '$')
 

=== removed file 'wiki/templatetags/wiki.py'
--- wiki/templatetags/wiki.py	2009-02-28 12:03:41 +0000
+++ wiki/templatetags/wiki.py	1970-01-01 00:00:00 +0000
@@ -1,95 +0,0 @@
-# -*- coding: utf-8 -*-
-
-import re
-from django import template
-from django.conf import settings
-from django.utils.encoding import force_unicode
-from django.utils.safestring import mark_safe
-
-try:
-    WIKI_WORD_RE = settings.WIKI_WORD_RE
-except AttributeError:
-    WIKI_WORD_RE = r'(?:[A-Z]+[a-z]+){2,}'
-
-try:
-    WIKI_URL_RE = settings.WIKI_URL_RE
-except AttributeError:
-    WIKI_URL_RE = r'\w+'
-
-
-wikiwordfier = re.compile(r'(?<!!)\b(%s)\b' % WIKI_WORD_RE)
-#wikiwordfier = re.compile(r'\b(%s)\b' % WIKI_WORD)
-
-register = template.Library()
-
-@register.filter
-def wikiwords(s):
-    """ Transform every WikiWord in a text into links.
-        WikiWord must match this regular expression:
-        '(?:[A-Z]+[a-z]+){2,}'
-    """
-    # @@@ TODO: absolute links
-    s = wikiwordfier.sub(r'<a href="/wiki/\1/">\1</a>', s)
-    return force_unicode(s)
-wikiwords.is_safe = True
-
-@register.filter
-def restore_commandsymbols(s):
-    """
-    We need to restore " " for textile to work properly
-    """
-    s = s.replace("&quot;",'"')
-    s = s.replace("&quot;",'"')
-    return force_unicode(s)
-restore_commandsymbols.is_safe = True
-
-
-@register.inclusion_tag('wiki/article_content.html')
-def render_content(article, content_attr='content', markup_attr='markup'):
-    """ Display an the body of an article, rendered with the right markup.
-
-    - content_attr is the article attribute that will be rendered.
-    - markup_attr is the article atribure with the markup that used
-      on the article. the choices are:
-      - 'rst' for reStructuredText
-      - 'mrk' for Markdown
-      - 'txl' for Textile
-
-    Use examples on templates:
-
-        {# article have a content and markup attributes #}
-        {% render_content article %}
-
-        {# article have a body and markup atributes #}
-        {% render_content article 'body' %}
-
-        {# we want to display the  summary instead #}
-        {% render_content article 'summary' %}
-
-        {# post have a tease and a markup_style attributes #}
-        {% render_content post 'tease' 'markup_style' %}
-
-        {# essay have a content and markup_lang attributes #}
-        {% render_content essay 'content' 'markup_lang' %}
-
-    """
-    return {
-        'content': getattr(article, content_attr),
-        'markup': getattr(article, markup_attr)
-    }
-
-
-@register.inclusion_tag('wiki/article_teaser.html')
-def show_teaser(article):
-    """ Show a teaser box for the summary of the article.
-    """
-    return {'article': article}
-
-
-@register.inclusion_tag('wiki/wiki_title.html')
-def wiki_title(group):
-    """ Display a <h1> title for the wiki, with a link to the group main page.
-    """
-    return {'group_name': group.name,
-            'group_type': group._meta.verbose_name.title(),
-            'group_url': group.get_absolute_url()}

=== added file 'wiki/templatetags/wiki_extras.py'
--- wiki/templatetags/wiki_extras.py	1970-01-01 00:00:00 +0000
+++ wiki/templatetags/wiki_extras.py	2016-03-02 21:02:38 +0000
@@ -0,0 +1,95 @@
+# -*- coding: utf-8 -*-
+
+import re
+from django import template
+from django.conf import settings
+from django.utils.encoding import force_unicode
+from django.utils.safestring import mark_safe
+
+try:
+    WIKI_WORD_RE = settings.WIKI_WORD_RE
+except AttributeError:
+    WIKI_WORD_RE = r'(?:[A-Z]+[a-z]+){2,}'
+
+try:
+    WIKI_URL_RE = settings.WIKI_URL_RE
+except AttributeError:
+    WIKI_URL_RE = r'\w+'
+
+
+wikiwordfier = re.compile(r'(?<!!)\b(%s)\b' % WIKI_WORD_RE)
+#wikiwordfier = re.compile(r'\b(%s)\b' % WIKI_WORD)
+
+register = template.Library()
+
+@register.filter
+def wikiwords(s):
+    """ Transform every WikiWord in a text into links.
+        WikiWord must match this regular expression:
+        '(?:[A-Z]+[a-z]+){2,}'
+    """
+    # @@@ TODO: absolute links
+    s = wikiwordfier.sub(r'<a href="/wiki/\1/">\1</a>', s)
+    return force_unicode(s)
+wikiwords.is_safe = True
+
+@register.filter
+def restore_commandsymbols(s):
+    """
+    We need to restore " " for textile to work properly
+    """
+    s = s.replace("&quot;",'"')
+    s = s.replace("&quot;",'"')
+    return force_unicode(s)
+restore_commandsymbols.is_safe = True
+
+
+@register.inclusion_tag('wiki/article_content.html')
+def render_content(article, content_attr='content', markup_attr='markup'):
+    """ Display an the body of an article, rendered with the right markup.
+
+    - content_attr is the article attribute that will be rendered.
+    - markup_attr is the article atribure with the markup that used
+      on the article. the choices are:
+      - 'rst' for reStructuredText
+      - 'mrk' for Markdown
+      - 'txl' for Textile
+
+    Use examples on templates:
+
+        {# article have a content and markup attributes #}
+        {% render_content article %}
+
+        {# article have a body and markup atributes #}
+        {% render_content article 'body' %}
+
+        {# we want to display the  summary instead #}
+        {% render_content article 'summary' %}
+
+        {# post have a tease and a markup_style attributes #}
+        {% render_content post 'tease' 'markup_style' %}
+
+        {# essay have a content and markup_lang attributes #}
+        {% render_content essay 'content' 'markup_lang' %}
+
+    """
+    return {
+        'content': getattr(article, content_attr),
+        'markup': getattr(article, markup_attr)
+    }
+
+
+@register.inclusion_tag('wiki/article_teaser.html')
+def show_teaser(article):
+    """ Show a teaser box for the summary of the article.
+    """
+    return {'article': article}
+
+
+@register.inclusion_tag('wiki/wiki_title.html')
+def wiki_title(group):
+    """ Display a <h1> title for the wiki, with a link to the group main page.
+    """
+    return {'group_name': group.name,
+            'group_type': group._meta.verbose_name.title(),
+            'group_url': group.get_absolute_url()}

=== modified file 'wiki/urls.py'
--- wiki/urls.py	2016-02-27 16:06:39 +0000
+++ wiki/urls.py	2016-03-02 21:02:38 +0000
@@ -3,14 +3,14 @@
 from django.conf.urls import *
 from django.http import HttpResponseRedirect
 from wiki import views, models
-from wiki.templatetags.wiki import WIKI_URL_RE
+from wiki.templatetags.wiki_extras import WIKI_URL_RE
 from django.views.generic import RedirectView
 
 urlpatterns = patterns('',
     # Redirects
     url(r'^ChangeLog/', RedirectView.as_view(url='/changelog/', permanent=True), name="wiki_changelog" ),
     # I wanted a true reverse, but it didn't work out 
-    url(r'^$', RedirectView.as_view(url='/wiki/Main Page'), name="wiki_index" ),
+    url(r'^$', RedirectView.as_view(url='/wiki/Main Page', permanent=True), name="wiki_index" ),
 
     url(r'^preview/$', views.article_preview, name='wiki_preview'),
     url(r'^diff/$', views.article_diff, name='wiki_preview_diff'),

=== modified file 'wiki/views.py'
--- wiki/views.py	2016-02-29 08:40:15 +0000
+++ wiki/views.py	2016-03-02 21:02:38 +0000
@@ -12,7 +12,7 @@
 from django.utils.translation import ugettext_lazy as _
 from django.contrib.contenttypes.models import ContentType
 from django.contrib.syndication.views import Feed
-#from django.contrib.syndication.views.Feeds import FeedDoesNotExist
+from django.contrib.syndication.views import FeedDoesNotExist
 
 from wiki.forms import ArticleForm
 from wiki.models import Article, ChangeSet, dmp

=== added file 'wlevents/templatetags/__init__.pyc'
Binary files wlevents/templatetags/__init__.pyc and wlevents/templatetags/__init__.pyc differ
=== removed file 'wlevents/templatetags/wlevents.py'
--- wlevents/templatetags/wlevents.py	2016-02-29 23:14:56 +0000
+++ wlevents/templatetags/wlevents.py	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-#!/usr/bin/env python
-# encoding: utf-8
-
-#from widelands.wlevents.models import Event
-from django import template
-from urllib import urlencode, quote
-
-import datetime
-
-register = template.Library()
-
-class GetFutureEvents(template.Node):
-    def __init__(self, varname):
-        self._vn = varname
-
-    def render(self,context):
-        """
-        Only has side effects
-        """
-        context[self._vn] = Event.objects.open()
-        return ""
-
-def do_get_future_events( parser, token ):
-    try:
-        tag_name,as_name,variable = token.split_contents()
-    except ValueError:
-        raise template.TemplateSyntaxError(
-            "required: %r as <variable name>" % token.contents.split()[0]
-        )
-
-    return GetFutureEvents(variable)
-
-register.tag('get_future_events',do_get_future_events)
-
-

=== added file 'wlevents/templatetags/wlevents_extras.py'
--- wlevents/templatetags/wlevents_extras.py	1970-01-01 00:00:00 +0000
+++ wlevents/templatetags/wlevents_extras.py	2016-03-02 21:02:38 +0000
@@ -0,0 +1,35 @@
+#!/usr/bin/env python
+# encoding: utf-8
+
+from wlevents.models import Event
+from django import template
+from urllib import urlencode, quote
+
+import datetime
+
+register = template.Library()
+
+class GetFutureEvents(template.Node):
+    def __init__(self, varname):
+        self._vn = varname
+
+    def render(self,context):
+        """
+        Only has side effects
+        """
+        context[self._vn] = Event.objects.open()
+        return ""
+
+def do_get_future_events( parser, token ):
+    try:
+        tag_name,as_name,variable = token.split_contents()
+    except ValueError:
+        raise template.TemplateSyntaxError(
+            "required: %r as <variable name>" % token.contents.split()[0]
+        )
+
+    return GetFutureEvents(variable)
+
+register.tag('get_future_events',do_get_future_events)
+
+

=== removed file 'wlimages/templatetags/wlimages.py'
--- wlimages/templatetags/wlimages.py	2009-03-05 17:06:08 +0000
+++ wlimages/templatetags/wlimages.py	1970-01-01 00:00:00 +0000
@@ -1,40 +0,0 @@
-#!/usr/bin/env python -tt
-# encoding: utf-8
-#
-# File: wlimages/wlimages.py
-#
-
-
-# import re
-from django import template
-# from django.contrib.contenttypes.models import ContentType
-# from wlimages.models import , FreeThreadedComment
-from widelands.wlimages.forms import UploadImageForm
-
-register = template.Library()
-
-def do_get_upload_image_form(parser, token):
-    """
-    TODO
-    """
-    error_message = "%r tag must be of format {%% %r as CONTEXT_VARIABLE %%}" % (token.contents.split()[0], token.contents.split()[0])
-    try:
-        split = token.split_contents()
-    except ValueError:
-        raise template.TemplateSyntaxError, error_message
-    if split[1] != 'as':
-        raise template.TemplateSyntaxError, error_message
-    if len(split) != 3:
-        raise template.TemplateSyntaxError, error_message
-    return UploadFormNode(split[2])
-
-class UploadFormNode(template.Node):
-    def __init__(self, context_name):
-        self.context_name = context_name
-    def render(self, context):
-        form = UploadImageForm()
-        context[self.context_name] = form
-        return ''
-
-register.tag('get_upload_form', do_get_upload_image_form)
-

=== added file 'wlimages/templatetags/wlimages_extras.py'
--- wlimages/templatetags/wlimages_extras.py	1970-01-01 00:00:00 +0000
+++ wlimages/templatetags/wlimages_extras.py	2016-03-02 21:02:38 +0000
@@ -0,0 +1,40 @@
+#!/usr/bin/env python -tt
+# encoding: utf-8
+#
+# File: wlimages/wlimages.py
+#
+
+
+# import re
+from django import template
+# from django.contrib.contenttypes.models import ContentType
+# from wlimages.models import , FreeThreadedComment
+from widelands.wlimages.forms import UploadImageForm
+
+register = template.Library()
+
+def do_get_upload_image_form(parser, token):
+    """
+    TODO
+    """
+    error_message = "%r tag must be of format {%% %r as CONTEXT_VARIABLE %%}" % (token.contents.split()[0], token.contents.split()[0])
+    try:
+        split = token.split_contents()
+    except ValueError:
+        raise template.TemplateSyntaxError, error_message
+    if split[1] != 'as':
+        raise template.TemplateSyntaxError, error_message
+    if len(split) != 3:
+        raise template.TemplateSyntaxError, error_message
+    return UploadFormNode(split[2])
+
+class UploadFormNode(template.Node):
+    def __init__(self, context_name):
+        self.context_name = context_name
+    def render(self, context):
+        form = UploadImageForm()
+        context[self.context_name] = form
+        return ''
+
+register.tag('get_upload_form', do_get_upload_image_form)
+

=== removed file 'wlpoll/templatetags/wlpoll.py'
--- wlpoll/templatetags/wlpoll.py	2016-02-29 23:14:56 +0000
+++ wlpoll/templatetags/wlpoll.py	1970-01-01 00:00:00 +0000
@@ -1,97 +0,0 @@
-#!/usr/bin/env python -tt
-# encoding: utf-8
-#
-
-#from widelands.wlpoll.models import Choice, Poll
-from django import template
-from urllib import urlencode, quote
-
-register = template.Library()
-
-class DisplayPollNode(template.Node):
-    def __init__(self, poll_var):
-        self._poll = template.Variable(poll_var)
-
-    def render(self,context):
-        """
-        Render this chart using googles chart API.
-        """
-        p = self._poll.resolve(context)
-
-        choices = p.choices.all()
-
-        _esc = lambda s: s.replace("'", "\\'")
-
-        data = ',\n'.join("[ '%s', %i ]" % (_esc(c.choice), c.votes) for c in choices)
-
-        s = r"""
-        <script type="text/javascript">
-        var chart1; // globally available
-        $(document).ready(function() {
-              chart1 = new Highcharts.Chart({
-                 chart: {
-                    renderTo: 'chartContainer',
-                    type: 'pie'
-                 },
-                 title: {
-                    text: '%(name)s'
-                 },
-                 tooltip: {
-                     formatter: function() {
-                        return '<b>'+ this.y +' votes</b>: '+ this.percentage +' %%';
-                     }
-                  },
-                 series: [{
-                    type: 'pie',
-                    data: [
-                        %(data)s
-                    ],
-                 },
-                 ]
-              });
-           });
-       </script>
-
-        <div id="chartContainer" style="width: 100%%; height: 400px"></div>
-        """ % { "name": _esc(p.name), "data": data }
-
-        return s
-
-def do_display_poll( parser, token):
-    try:
-        tag_name,poll_var = token.split_contents()
-    except ValueError:
-        raise template.TemplateSyntaxError, "%r tag requires a single argument" % token.contents.split()[0]
-
-    return DisplayPollNode(poll_var)
-
-class GetOpenPolls(template.Node):
-    
-    def __init__(self, varname):
-        self._vn = varname
-
-    def render(self,context):
-        """
-        Only has side effects
-        """
-        if "user" in context:
-            user = context['user']
-            rv = []
-            print('Franky:', self)
-            for p in Poll.objects.open():
-                p.user_has_voted = False if user.is_anonymous() else p.has_user_voted(user)
-                rv.append(p)
-            context[self._vn] = rv
-        return ""
-
-def do_get_open_polls( parser, token ):
-    try:
-        tag_name,as_name,variable = token.split_contents()
-    except ValueError:
-        raise template.TemplateSyntaxError, "required: %r as <variable name>" % token.contents.split()[0]
-
-    return GetOpenPolls(variable)
-
-register.tag('display_poll',do_display_poll)
-register.tag('get_open_polls',do_get_open_polls)
-

=== added file 'wlpoll/templatetags/wlpoll_extras.py'
--- wlpoll/templatetags/wlpoll_extras.py	1970-01-01 00:00:00 +0000
+++ wlpoll/templatetags/wlpoll_extras.py	2016-03-02 21:02:38 +0000
@@ -0,0 +1,96 @@
+#!/usr/bin/env python -tt
+# encoding: utf-8
+#
+
+from wlpoll.models import Choice, Poll
+from django import template
+from urllib import urlencode, quote
+
+register = template.Library()
+
+class DisplayPollNode(template.Node):
+    def __init__(self, poll_var):
+        self._poll = template.Variable(poll_var)
+
+    def render(self,context):
+        """
+        Render this chart using googles chart API.
+        """
+        p = self._poll.resolve(context)
+
+        choices = p.choices.all()
+
+        _esc = lambda s: s.replace("'", "\\'")
+
+        data = ',\n'.join("[ '%s', %i ]" % (_esc(c.choice), c.votes) for c in choices)
+
+        s = r"""
+        <script type="text/javascript">
+        var chart1; // globally available
+        $(document).ready(function() {
+              chart1 = new Highcharts.Chart({
+                 chart: {
+                    renderTo: 'chartContainer',
+                    type: 'pie'
+                 },
+                 title: {
+                    text: '%(name)s'
+                 },
+                 tooltip: {
+                     formatter: function() {
+                        return '<b>'+ this.y +' votes</b>: '+ this.percentage +' %%';
+                     }
+                  },
+                 series: [{
+                    type: 'pie',
+                    data: [
+                        %(data)s
+                    ],
+                 },
+                 ]
+              });
+           });
+       </script>
+
+        <div id="chartContainer" style="width: 100%%; height: 400px"></div>
+        """ % { "name": _esc(p.name), "data": data }
+
+        return s
+
+def do_display_poll( parser, token):
+    try:
+        tag_name,poll_var = token.split_contents()
+    except ValueError:
+        raise template.TemplateSyntaxError, "%r tag requires a single argument" % token.contents.split()[0]
+
+    return DisplayPollNode(poll_var)
+
+class GetOpenPolls(template.Node):
+    
+    def __init__(self, varname):
+        self._vn = varname
+
+    def render(self,context):
+        """
+        Only has side effects
+        """
+        if "user" in context:
+            user = context['user']
+            rv = []
+            for p in Poll.objects.open():
+                p.user_has_voted = False if user.is_anonymous() else p.has_user_voted(user)
+                rv.append(p)
+            context[self._vn] = rv
+        return ""
+
+def do_get_open_polls( parser, token ):
+    try:
+        tag_name,as_name,variable = token.split_contents()
+    except ValueError:
+        raise template.TemplateSyntaxError, "required: %r as <variable name>" % token.contents.split()[0]
+
+    return GetOpenPolls(variable)
+
+register.tag('display_poll',do_display_poll)
+register.tag('get_open_polls',do_get_open_polls)
+

=== modified file 'wlprofile/templatetags/custom_date.py'
--- wlprofile/templatetags/custom_date.py	2016-01-14 19:12:16 +0000
+++ wlprofile/templatetags/custom_date.py	2016-03-02 21:02:38 +0000
@@ -15,7 +15,7 @@
 from django.utils.safestring import mark_safe
 from django.template.defaultfilters import date as django_date
 from django.core.exceptions import ObjectDoesNotExist
-
+from django.contrib.auth.models import User
 import re
 from datetime import date as ddate, tzinfo, timedelta, datetime
 from settings import DEFAULT_TIME_ZONE, DEFAULT_TIME_DISPLAY
@@ -132,7 +132,8 @@
     if not user.is_authenticated():
         return do_custom_date( DEFAULT_TIME_DISPLAY, date, float(DEFAULT_TIME_ZONE) )
     try:
-        return do_custom_date( user.get_profile().time_display, date, user.get_profile().time_zone )
+        userprofile = User.objects.get(username=user).wlprofile        
+        return do_custom_date( userprofile.time_display, date, userprofile.time_zone )
     except ObjectDoesNotExist:
         return do_custom_date( DEFAULT_TIME_DISPLAY, date, float(DEFAULT_TIME_ZONE) )
 

=== removed file 'wlprofile/templatetags/wlprofile.py'
--- wlprofile/templatetags/wlprofile.py	2010-06-06 13:01:22 +0000
+++ wlprofile/templatetags/wlprofile.py	1970-01-01 00:00:00 +0000
@@ -1,31 +0,0 @@
-#!/usr/bin/env python -tt
-# encoding: utf-8
-#
-# File: wlprofile/templatetags/wlprofile.py
-#
-# Created by Holger Rapp on 2009-03-15.
-# Copyright (c) 2009 HolgerRapp@gmx.net. All rights reserved.
-#
-# Last Modified: $Date$
-#
-
-from django import template
-from django.core.urlresolvers import reverse
-from django.utils.safestring import mark_safe
-
-register = template.Library()
-
-@register.filter
-def user_link(user):
-    data = u'<a href="%s">%s</a>' % (\
-        reverse('profile_view', args=[user.username]), user.username)
-    return mark_safe(data)
-
-@register.filter
-def user_link_ggz(user):
-    data = u'<a href="%s">%s</a>' % (\
-        reverse('wlggz_userstats', args=[user.username]), user.username)
-    return mark_safe(data)
-
-
-

=== added file 'wlprofile/templatetags/wlprofile_extras.py'
--- wlprofile/templatetags/wlprofile_extras.py	1970-01-01 00:00:00 +0000
+++ wlprofile/templatetags/wlprofile_extras.py	2016-03-02 21:02:38 +0000
@@ -0,0 +1,31 @@
+#!/usr/bin/env python -tt
+# encoding: utf-8
+#
+# File: wlprofile/templatetags/wlprofile.py
+#
+# Created by Holger Rapp on 2009-03-15.
+# Copyright (c) 2009 HolgerRapp@gmx.net. All rights reserved.
+#
+# Last Modified: $Date$
+#
+
+from django import template
+from django.core.urlresolvers import reverse
+from django.utils.safestring import mark_safe
+
+register = template.Library()
+
+@register.filter
+def user_link(user):
+    data = u'<a href="%s">%s</a>' % (\
+        reverse('profile_view', args=[user.username]), user.username)
+    return mark_safe(data)
+
+@register.filter
+def user_link_ggz(user):
+    data = u'<a href="%s">%s</a>' % (\
+        reverse('wlggz_userstats', args=[user.username]), user.username)
+    return mark_safe(data)
+
+
+

